<?php
/**
 * Countries
 *
 * Returns an array of countries and codes.
 * Country codes and names should follow the Unicode CLDR recommendation (https://cldr.unicode.org/translation/displaynames/countryregion-territory-names).
 *
 * See https://github.com/unicode-org/cldr/blob/master/common/subdivisions/en.xml
 *
 * @package WooCommerce\i18n
 * @version 3.8.0
 */

defined( 'ABSPATH' ) || exit;

return array(
	'AF' => __( '阿富', 'woocommerce' ),
	'AX' => __( '奥兰群岛', 'woocommerce' ),
	'AL' => __( '阿尔巴尼亚', 'woocommerce' ),
	'DZ' => __( '阿尔及利亚', 'woocommerce' ),
	'AS' => __( '美属萨摩亚', 'woocommerce' ),
	'AD' => __( '安道尔', 'woocommerce' ),
	'AO' => __( '安哥拉', 'woocommerce' ),
	'AI' => __( '安圭拉', 'woocommerce' ),
	'AQ' => __( '南极洲', 'woocommerce' ),
	'AG' => __( '安提瓜和巴布达', 'woocommerce' ),
	'AR' => __( '阿根廷', 'woocommerce' ),
	'AM' => __( '亚美尼亚', 'woocommerce' ),
	'AW' => __( '阿鲁巴', 'woocommerce' ),
	'AU' => __( '澳大利亚', 'woocommerce' ),
	'AT' => __( '奥地利', 'woocommerce' ),
	'AZ' => __( '阿塞拜疆', 'woocommerce' ),
	'BS' => __( '巴哈马', 'woocommerce' ),
	'BH' => __( '巴林', 'woocommerce' ),
	'BD' => __( '孟加拉国', 'woocommerce' ),
	'BB' => __( '巴巴多斯', 'woocommerce' ),
	'BY' => __( '白俄罗斯', 'woocommerce' ),
	'BE' => __( '比利时', 'woocommerce' ),
	'PW' => __( '贝劳', 'woocommerce' ),
	'BZ' => __( '伯利兹', 'woocommerce' ),
	'BJ' => __( '贝宁', 'woocommerce' ),
	'BM' => __( '百慕大', 'woocommerce' ),
	'BT' => __( '不丹', 'woocommerce' ),
	'BO' => __( '玻利维亚', 'woocommerce' ),
	'BQ' => __( '博内尔岛，圣尤斯特修斯和萨巴', 'woocommerce' ),
	'BA' => __( '波斯尼亚和黑塞哥维那', 'woocommerce' ),
	'BW' => __( '博茨瓦纳', 'woocommerce' ),
	'BV' => __( '布维岛', 'woocommerce' ),
	'BR' => __( '巴西', 'woocommerce' ),
	'IO' => __( '英属印度洋领地', 'woocommerce' ),
	'BN' => __( '文莱', 'woocommerce' ),
	'BG' => __( '保加利亚', 'woocommerce' ),
	'BF' => __( '布基纳法索', 'woocommerce' ),
	'BI' => __( '布隆迪', 'woocommerce' ),
	'KH' => __( '柬埔寨', 'woocommerce' ),
	'CM' => __( '喀麦隆', 'woocommerce' ),
	'CA' => __( '加拿大', 'woocommerce' ),
	'CV' => __( '佛得角', 'woocommerce' ),
	'KY' => __( '开曼群岛', 'woocommerce' ),
	'CF' => __( '中非共和国', 'woocommerce' ),
	'TD' => __( '乍得', 'woocommerce' ),
	'CL' => __( '智利', 'woocommerce' ),
	'CN' => __( '中国大陆', 'woocommerce' ),
	'CX' => __( '圣诞岛', 'woocommerce' ),
	'CC' => __( '科科斯（基林）群岛', 'woocommerce' ),
	'CO' => __( '哥伦比亚', 'woocommerce' ),
	'KM' => __( '科摩罗', 'woocommerce' ),
	'CG' => __( '刚果（布）', 'woocommerce' ),
	'CD' => __( '刚果（金）', 'woocommerce' ),
	'CK' => __( '库克群岛', 'woocommerce' ),
	'CR' => __( '哥斯达黎加', 'woocommerce' ),
	'HR' => __( '克罗地亚', 'woocommerce' ),
	'CU' => __( '古巴', 'woocommerce' ),
	'CW' => __( '库拉索', 'woocommerce' ),
	'CY' => __( '塞浦路斯', 'woocommerce' ),
	'CZ' => __( '捷克共和国', 'woocommerce' ),
	'DK' => __( '丹麦', 'woocommerce' ),
	'DJ' => __( '吉布提', 'woocommerce' ),
	'DM' => __( '多米尼克', 'woocommerce' ),
	'DO' => __( '多米尼加共和国', 'woocommerce' ),
	'EC' => __( '厄瓜多尔', 'woocommerce' ),
	'EG' => __( '埃及', 'woocommerce' ),
	'SV' => __( '萨尔瓦多', 'woocommerce' ),
	'GQ' => __( '赤道几内亚', 'woocommerce' ),
	'ER' => __( '厄立特里亚', 'woocommerce' ),
	'EE' => __( '爱沙尼亚', 'woocommerce' ),
	'ET' => __( '埃塞俄比亚', 'woocommerce' ),
	'FK' => __( '福克兰群岛', 'woocommerce' ),
	'FO' => __( '法罗群岛', 'woocommerce' ),
	'FJ' => __( '斐济', 'woocommerce' ),
	'FI' => __( '芬兰', 'woocommerce' ),
	'FR' => __( '法国', 'woocommerce' ),
	'GF' => __( '法属圭亚那', 'woocommerce' ),
	'PF' => __( '法属波利尼西亚', 'woocommerce' ),
	'TF' => __( '法国南部领土', 'woocommerce' ),
	'GA' => __( '加蓬', 'woocommerce' ),
	'GM' => __( '冈比亚', 'woocommerce' ),
	'GE' => __( '格鲁吉亚', 'woocommerce' ),
	'DE' => __( '德国', 'woocommerce' ),
	'GH' => __( '加纳', 'woocommerce' ),
	'GI' => __( '直布罗陀', 'woocommerce' ),
	'GR' => __( '希腊', 'woocommerce' ),
	'GL' => __( '格陵兰', 'woocommerce' ),
	'GD' => __( '格林纳达', 'woocommerce' ),
	'GP' => __( '瓜德罗普岛', 'woocommerce' ),
	'GU' => __( '关岛', 'woocommerce' ),
	'GT' => __( '危地马拉', 'woocommerce' ),
	'GG' => __( '格恩西', 'woocommerce' ),
	'GN' => __( '几内亚', 'woocommerce' ),
	'GW' => __( '几内亚比绍', 'woocommerce' ),
	'GY' => __( '圭亚那', 'woocommerce' ),
	'HT' => __( '海地', 'woocommerce' ),
	'HM' => __( '赫德岛和麦克唐纳群岛', 'woocommerce' ),
	'HN' => __( '洪都拉斯', 'woocommerce' ),
	'HK' => __( '中国香港', 'woocommerce' ),
	'HU' => __( '匈牙利', 'woocommerce' ),
	'IS' => __( '冰岛', 'woocommerce' ),
	'IN' => __( '印度', 'woocommerce' ),
	'ID' => __( '印尼', 'woocommerce' ),
	'IR' => __( '伊朗', 'woocommerce' ),
	'IQ' => __( '伊拉克', 'woocommerce' ),
	'IE' => __( '爱尔兰', 'woocommerce' ),
	'IM' => __( '马恩岛', 'woocommerce' ),
	'IL' => __( '以色列', 'woocommerce' ),
	'IT' => __( '意大利', 'woocommerce' ),
	'CI' => __( '象牙海岸', 'woocommerce' ),
	'JM' => __( '牙买加', 'woocommerce' ),
	'JP' => __( '日本', 'woocommerce' ),
	'JE' => __( '新泽西', 'woocommerce' ),
	'JO' => __( '约旦', 'woocommerce' ),
	'KZ' => __( '哈萨克斯坦', 'woocommerce' ),
	'KE' => __( '肯尼亚', 'woocommerce' ),
	'KI' => __( '基里巴斯', 'woocommerce' ),
	'KW' => __( '科威特', 'woocommerce' ),
	'KG' => __( '吉尔吉斯斯坦', 'woocommerce' ),
	'LA' => __( '老挝', 'woocommerce' ),
	'LV' => __( '拉脱维亚', 'woocommerce' ),
	'LB' => __( '黎巴嫩', 'woocommerce' ),
	'LS' => __( '莱索托', 'woocommerce' ),
	'LR' => __( '利比里亚', 'woocommerce' ),
	'LY' => __( '利比亚', 'woocommerce' ),
	'LI' => __( '列支敦士登', 'woocommerce' ),
	'LT' => __( '立陶宛', 'woocommerce' ),
	'LU' => __( '卢森堡', 'woocommerce' ),
	'MO' => __( '中国澳门', 'woocommerce' ),
	'MK' => __( '北马其顿大区', 'woocommerce' ),
	'MG' => __( '马达加斯加', 'woocommerce' ),
	'MW' => __( '马拉维', 'woocommerce' ),
	'MY' => __( '马来西亚', 'woocommerce' ),
	'MV' => __( '马尔代夫', 'woocommerce' ),
	'ML' => __( '马里', 'woocommerce' ),
	'MT' => __( '马耳他', 'woocommerce' ),
	'MH' => __( '马绍尔群岛', 'woocommerce' ),
	'MQ' => __( '马提尼克', 'woocommerce' ),
	'MR' => __( '毛里塔尼亚', 'woocommerce' ),
	'MU' => __( '毛里求斯', 'woocommerce' ),
	'YT' => __( '马约特岛', 'woocommerce' ),
	'MX' => __( '墨西哥', 'woocommerce' ),
	'FM' => __( '密克罗尼西亚', 'woocommerce' ),
	'MD' => __( '摩尔多瓦', 'woocommerce' ),
	'MC' => __( '摩纳哥', 'woocommerce' ),
	'MN' => __( '蒙古国', 'woocommerce' ),
	'ME' => __( '黑山', 'woocommerce' ),
	'MS' => __( '蒙特塞拉特', 'woocommerce' ),
	'MA' => __( '摩洛哥', 'woocommerce' ),
	'MZ' => __( '莫桑比克', 'woocommerce' ),
	'MM' => __( '缅甸', 'woocommerce' ),
	'NA' => __( '纳米比亚', 'woocommerce' ),
	'NR' => __( '瑙鲁', 'woocommerce' ),
	'NP' => __( '尼泊尔', 'woocommerce' ),
	'NL' => __( '荷兰', 'woocommerce' ),
	'NC' => __( '新喀里多尼亚', 'woocommerce' ),
	'NZ' => __( '新西兰', 'woocommerce' ),
	'NI' => __( '尼加拉瓜', 'woocommerce' ),
	'NE' => __( '尼日尔', 'woocommerce' ),
	'NG' => __( '尼日利亚', 'woocommerce' ),
	'NU' => __( '纽埃', 'woocommerce' ),
	'NF' => __( '诺福克岛', 'woocommerce' ),
	'MP' => __( '北马里亚纳群岛', 'woocommerce' ),
	'KP' => __( '北朝鲜', 'woocommerce' ),
	'NO' => __( '挪威', 'woocommerce' ),
	'OM' => __( '阿曼', 'woocommerce' ),
	'PK' => __( '巴基斯坦', 'woocommerce' ),
	'PS' => __( '巴勒斯坦领土', 'woocommerce' ),
	'PA' => __( '巴拿马', 'woocommerce' ),
	'PG' => __( '巴布亚新几内亚', 'woocommerce' ),
	'PY' => __( '巴拉圭', 'woocommerce' ),
	'PE' => __( '秘鲁', 'woocommerce' ),
	'PH' => __( '菲律宾', 'woocommerce' ),
	'PN' => __( '皮特凯恩', 'woocommerce' ),
	'PL' => __( '波兰', 'woocommerce' ),
	'PT' => __( '葡萄牙', 'woocommerce' ),
	'PR' => __( '波多黎各', 'woocommerce' ),
	'QA' => __( '卡塔尔', 'woocommerce' ),
	'RE' => __( '留尼旺', 'woocommerce' ),
	'RO' => __( '罗马尼亚', 'woocommerce' ),
	'RU' => __( '俄罗斯', 'woocommerce' ),
	'RW' => __( '卢旺达', 'woocommerce' ),
	'BL' => __( '圣巴塞洛缪', 'woocommerce' ),
	'SH' => __( '圣赫勒拿', 'woocommerce' ),
	'KN' => __( '圣基茨和尼维斯', 'woocommerce' ),
	'LC' => __( '圣卢西亚', 'woocommerce' ),
	'MF' => __( '圣马丁（法国部分）', 'woocommerce' ),
	'SX' => __( '圣马丁（荷兰部分）', 'woocommerce' ),
	'PM' => __( '圣皮埃尔和密克隆', 'woocommerce' ),
	'VC' => __( '圣文森特和格林纳丁斯', 'woocommerce' ),
	'SM' => __( '圣马力诺', 'woocommerce' ),
	'ST' => __( '圣多美和普林西比', 'woocommerce' ),
	'SA' => __( '沙特阿拉伯', 'woocommerce' ),
	'SN' => __( '塞内加尔', 'woocommerce' ),
	'RS' => __( '塞尔维亚', 'woocommerce' ),
	'SC' => __( '塞舌尔', 'woocommerce' ),
	'SL' => __( '塞拉利昂', 'woocommerce' ),
	'SG' => __( '新加坡', 'woocommerce' ),
	'SK' => __( '斯洛伐克', 'woocommerce' ),
	'SI' => __( '斯洛文尼亚', 'woocommerce' ),
	'SB' => __( '所罗门群岛', 'woocommerce' ),
	'SO' => __( '索马里', 'woocommerce' ),
	'ZA' => __( '南非', 'woocommerce' ),
	'GS' => __( '南乔治亚/南桑威奇群岛', 'woocommerce' ),
	'KR' => __( '韩国', 'woocommerce' ),
	'SS' => __( '南苏丹', 'woocommerce' ),
	'ES' => __( '西班牙', 'woocommerce' ),
	'LK' => __( '斯里兰卡', 'woocommerce' ),
	'SD' => __( '苏丹', 'woocommerce' ),
	'SR' => __( '苏里南', 'woocommerce' ),
	'SJ' => __( '斯瓦尔巴岛和扬马延岛', 'woocommerce' ),
	'SZ' => __( 'Eswatini', 'woocommerce' ),
	'SE' => __( '瑞典', 'woocommerce' ),
	'CH' => __( '瑞士', 'woocommerce' ),
	'SY' => __( '叙利亚', 'woocommerce' ),
	'TW' => __( '中国台湾', 'woocommerce' ),
	'TJ' => __( '塔吉克斯坦', 'woocommerce' ),
	'TZ' => __( '坦桑尼亚', 'woocommerce' ),
	'TH' => __( '泰国', 'woocommerce' ),
	'TL' => __( '东帝汶', 'woocommerce' ),
	'TG' => __( '多哥', 'woocommerce' ),
	'TK' => __( '托克劳', 'woocommerce' ),
	'TO' => __( '汤加', 'woocommerce' ),
	'TT' => __( '特里尼达和多巴哥', 'woocommerce' ),
	'TN' => __( '突尼斯', 'woocommerce' ),
	'TR' => __( '土耳其', 'woocommerce' ),
	'TM' => __( '土库曼斯坦', 'woocommerce' ),
	'TC' => __( '特克斯和凯科斯群岛', 'woocommerce' ),
	'TV' => __( '图瓦卢', 'woocommerce' ),
	'UG' => __( '乌干达', 'woocommerce' ),
	'UA' => __( '乌克兰', 'woocommerce' ),
	'AE' => __( '阿拉伯联合酋长国', 'woocommerce' ),
	'GB' => __( '英国', 'woocommerce' ),
	'US' => __( '美国', 'woocommerce' ),
	'UM' => __( '美国本土外小岛屿', 'woocommerce' ),
	'UY' => __( '乌拉圭', 'woocommerce' ),
	'UZ' => __( '乌兹别克斯坦', 'woocommerce' ),
	'VU' => __( '瓦努阿图', 'woocommerce' ),
	'VA' => __( '梵帝冈', 'woocommerce' ),
	'VE' => __( '委内瑞拉', 'woocommerce' ),
	'VN' => __( '越南', 'woocommerce' ),
	'VG' => __( '维尔京群岛（英属）', 'woocommerce' ),
	'VI' => __( '维尔京群岛（美属）', 'woocommerce' ),
	'WF' => __( '瓦利斯群岛和富图纳群岛', 'woocommerce' ),
	'EH' => __( '西撒哈拉', 'woocommerce' ),
	'WS' => __( '萨摩亚群岛', 'woocommerce' ),
	'YE' => __( '也门', 'woocommerce' ),
	'ZM' => __( '赞比亚', 'woocommerce' ),
	'ZW' => __( '津巴布韦', 'woocommerce' ),
);
