<?php
/**
 * Locales information
 *
 * @package WooCommerce\i18n
 * @version 5.7.0
 */

defined( 'ABSPATH' ) || exit;

$locales = include 'currency-info.php';

return array(
	'AD' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'ca_AD',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'AE' => array(
		'currency_code'  => 'AED',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'rtl',
		'default_locale' => 'ar_AE',
		'name'           => '阿联酋迪拉姆',
		'singular'       => 'UAE dirham',
		'plural'         => 'UAE dirhams',
		'short_symbol'   => null,
		'locales'        => $locales['AED'],
	),
	'AF' => array(
		'currency_code'  => 'AFN',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'rtl',
		'default_locale' => 'fa_AF',
		'name'           => '阿富汗 阿富汗尼',
		'singular'       => 'Afghan Afghani',
		'plural'         => 'Afghan Afghanis',
		'short_symbol'   => '؋',
		'locales'        => $locales['AFN'],
	),
	'AG' => array(
		'currency_code'  => 'XCD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_AG',
		'name'           => '东加勒比元',
		'singular'       => '东加勒比元',
		'plural'         => 'East Caribbean dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['XCD'],
	),
	'AI' => array(
		'currency_code'  => 'XCD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_AI',
		'name'           => '东加勒比元',
		'singular'       => '东加勒比元',
		'plural'         => 'East Caribbean dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['XCD'],
	),
	'AL' => array(
		'currency_code'  => 'ALL',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'sq_AL',
		'name'           => '阿尔巴尼亚 列克',
		'singular'       => '阿尔巴尼亚 列克',
		'plural'         => 'Albanian lekë',
		'short_symbol'   => null,
		'locales'        => $locales['ALL'],
	),
	'AM' => array(
		'currency_code'  => 'AMD',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'hy_AM',
		'name'           => '亚美尼亚 德拉姆',
		'singular'       => '亚美尼亚 德拉姆',
		'plural'         => 'Armenian drams',
		'short_symbol'   => '֏',
		'locales'        => $locales['AMD'],
	),
	'AO' => array(
		'currency_code'  => 'AOA',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'pt_AO',
		'name'           => '安哥拉 宽扎',
		'singular'       => '安哥拉 宽扎',
		'plural'         => 'Angolan kwanzas',
		'short_symbol'   => 'Kz',
		'locales'        => $locales['AOA'],
	),
	'AR' => array(
		'currency_code'  => 'ARS',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'es_AR',
		'name'           => '阿根廷比索',
		'singular'       => '阿根廷比索',
		'plural'         => 'Argentine pesos',
		'short_symbol'   => '$',
		'locales'        => $locales['ARS'],
	),
	'AS' => array(
		'currency_code'  => 'USD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_AS',
		'name'           => '美元',
		'singular'       => 'US dollar',
		'plural'         => 'US dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['USD'],
	),
	'AT' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'de_AT',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'AU' => array(
		'currency_code'  => 'AUD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_AU',
		'name'           => '澳元（$）',
		'singular'       => '澳元（$）',
		'plural'         => 'Australian dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['AUD'],
	),
	'AW' => array(
		'currency_code'  => 'AWG',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'nl_AW',
		'name'           => '阿鲁巴 弗罗林',
		'singular'       => '阿鲁巴 弗罗林',
		'plural'         => '阿鲁巴 弗罗林',
		'short_symbol'   => null,
		'locales'        => $locales['AWG'],
	),
	'AX' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'sv_AX',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'AZ' => array(
		'currency_code'  => 'AZN',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'az_AZ',
		'name'           => '阿塞拜疆 马纳特',
		'singular'       => '阿塞拜疆 马纳特',
		'plural'         => 'Azerbaijani manats',
		'short_symbol'   => '₼',
		'locales'        => $locales['AZN'],
	),
	'BA' => array(
		'currency_code'  => 'BAM',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'bs_BA',
		'name'           => '波斯尼亚和黑塞哥维那 可兑换马克',
		'singular'       => 'Bosnia-Herzegovina convertible mark',
		'plural'         => 'Bosnia-Herzegovina convertible marks',
		'short_symbol'   => 'KM',
		'locales'        => $locales['BAM'],
	),
	'BB' => array(
		'currency_code'  => 'BBD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_BB',
		'name'           => '巴巴多斯 元',
		'singular'       => '巴巴多斯 元',
		'plural'         => 'Barbadian dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['BBD'],
	),
	'BD' => array(
		'currency_code'  => 'BDT',
		'currency_pos'   => 'right',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'bn_BD',
		'name'           => '孟加拉塔卡',
		'singular'       => '孟加拉塔卡',
		'plural'         => 'Bangladeshi takas',
		'short_symbol'   => '৳',
		'locales'        => $locales['BDT'],
	),
	'BE' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'nl_BE',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'BF' => array(
		'currency_code'  => 'XOF',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_BF',
		'name'           => '西非法郎',
		'singular'       => '西非法郎',
		'plural'         => 'West African CFA francs',
		'short_symbol'   => null,
		'locales'        => $locales['XOF'],
	),
	'BG' => array(
		'currency_code'  => 'BGN',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'bg_BG',
		'name'           => '保加利亚列弗',
		'singular'       => '保加利亚列弗',
		'plural'         => 'Bulgarian leva',
		'short_symbol'   => null,
		'locales'        => $locales['BGN'],
	),
	'BH' => array(
		'currency_code'  => 'BHD',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 3,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'rtl',
		'default_locale' => 'ar_BH',
		'name'           => '巴林 第纳尔',
		'singular'       => '巴林 第纳尔',
		'plural'         => 'Bahraini dinars',
		'short_symbol'   => null,
		'locales'        => $locales['BHD'],
	),
	'BI' => array(
		'currency_code'  => 'BIF',
		'currency_pos'   => 'right',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'rn_BI',
		'name'           => '布隆迪 法郎',
		'singular'       => '布隆迪 法郎',
		'plural'         => 'Burundian francs',
		'short_symbol'   => null,
		'locales'        => $locales['BIF'],
	),
	'BJ' => array(
		'currency_code'  => 'XOF',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_BJ',
		'name'           => '西非法郎',
		'singular'       => '西非法郎',
		'plural'         => 'West African CFA francs',
		'short_symbol'   => null,
		'locales'        => $locales['XOF'],
	),
	'BL' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_BL',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'BM' => array(
		'currency_code'  => 'BMD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_BM',
		'name'           => '百慕大 元',
		'singular'       => 'Bermudan dollar',
		'plural'         => 'Bermudan dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['BMD'],
	),
	'BN' => array(
		'currency_code'  => 'BND',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'ms_BN',
		'name'           => '汶莱 元',
		'singular'       => '汶莱 元',
		'plural'         => 'Brunei dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['BND'],
	),
	'BO' => array(
		'currency_code'  => 'BOB',
		'currency_pos'   => 'left',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'es_BO',
		'name'           => '玻利维亚 玻利维亚诺',
		'singular'       => '玻利维亚 玻利维亚诺',
		'plural'         => 'Bolivian bolivianos',
		'short_symbol'   => 'Bs',
		'locales'        => $locales['BOB'],
	),
	'BQ' => array(
		'currency_code'  => 'USD',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'nl_BQ',
		'name'           => '美元',
		'singular'       => 'US dollar',
		'plural'         => 'US dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['USD'],
	),
	'BR' => array(
		'currency_code'  => 'BRL',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'pt_BR',
		'name'           => '巴西雷亚尔（R$）',
		'singular'       => '巴西雷亚尔（R$）',
		'plural'         => 'Brazilian reals',
		'short_symbol'   => 'R$',
		'locales'        => $locales['BRL'],
	),
	'BS' => array(
		'currency_code'  => 'BSD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_BS',
		'name'           => '巴哈马 元',
		'singular'       => '巴哈马 元',
		'plural'         => 'Bahamian dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['BSD'],
	),
	'BT' => array(
		'currency_code'  => 'BTN',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'dz_BT',
		'name'           => '不丹 努尔特鲁姆',
		'singular'       => '不丹 努尔特鲁姆',
		'plural'         => 'Bhutanese ngultrums',
		'short_symbol'   => null,
		'locales'        => $locales['BTN'],
	),
	'BW' => array(
		'currency_code'  => 'BGC',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_BW',
		'name'           => '博茨瓦纳 普拉',
		'singular'       => 'Botswanan pula',
		'plural'         => 'Botswanan pulas',
		'short_symbol'   => 'P',
		'locales'        => $locales['BGC'],
	),
	'BY' => array(
		'currency_code'  => 'BYN',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'be_BY',
		'name'           => '白俄罗斯 卢布',
		'singular'       => '白俄罗斯 卢布',
		'plural'         => 'Belarusian rubles',
		'short_symbol'   => 'р.',
		'locales'        => $locales['BYN'],
	),
	'BZ' => array(
		'currency_code'  => 'BZD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_BZ',
		'name'           => '伯利兹 元',
		'singular'       => '伯利兹 元',
		'plural'         => 'Belize dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['BZD'],
	),
	'CA' => array(
		'currency_code'  => 'CAD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_CA',
		'name'           => '加元（$）',
		'singular'       => '加元（$）',
		'plural'         => 'Canadian dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['CAD'],
	),
	'CC' => array(
		'currency_code'  => 'AUD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_CC',
		'name'           => '澳元（$）',
		'singular'       => '澳元（$）',
		'plural'         => 'Australian dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['AUD'],
	),
	'CD' => array(
		'currency_code'  => 'CDF',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'sw_CD',
		'name'           => '刚果 法郎',
		'singular'       => '刚果 法郎',
		'plural'         => 'Congolese francs',
		'short_symbol'   => null,
		'locales'        => $locales['CDF'],
	),
	'CF' => array(
		'currency_code'  => 'XAF',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_CF',
		'name'           => '中非法郎',
		'singular'       => '中非法郎',
		'plural'         => 'Central African CFA francs',
		'short_symbol'   => null,
		'locales'        => $locales['XAF'],
	),
	'CG' => array(
		'currency_code'  => 'XAF',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_CG',
		'name'           => '中非法郎',
		'singular'       => '中非法郎',
		'plural'         => 'Central African CFA francs',
		'short_symbol'   => null,
		'locales'        => $locales['XAF'],
	),
	'CH' => array(
		'currency_code'  => 'CHF',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => '\'',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'de_CH',
		'name'           => '瑞士法郎',
		'singular'       => '瑞士法郎',
		'plural'         => 'Swiss francs',
		'short_symbol'   => null,
		'locales'        => $locales['CHF'],
	),
	'CI' => array(
		'currency_code'  => 'XOF',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_CI',
		'name'           => '西非法郎',
		'singular'       => '西非法郎',
		'plural'         => 'West African CFA francs',
		'short_symbol'   => null,
		'locales'        => $locales['XOF'],
	),
	'CK' => array(
		'currency_code'  => 'NZD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_CK',
		'name'           => '新西兰元（$）',
		'singular'       => '新西兰元（$）',
		'plural'         => 'New Zealand dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['NZD'],
	),
	'CL' => array(
		'currency_code'  => 'CLP',
		'currency_pos'   => 'left',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'es_CL',
		'name'           => '智利比索',
		'singular'       => '智利比索',
		'plural'         => 'Chilean pesos',
		'short_symbol'   => '$',
		'locales'        => $locales['CLP'],
	),
	'CM' => array(
		'currency_code'  => 'XAF',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_CM',
		'name'           => '中非法郎',
		'singular'       => '中非法郎',
		'plural'         => 'Central African CFA francs',
		'short_symbol'   => null,
		'locales'        => $locales['XAF'],
	),
	'CN' => array(
		'currency_code'  => 'CNY',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'zh_CN',
		'name'           => '中国人民币(&yen;)',
		'singular'       => '中国人民币(&yen;)',
		'plural'         => '中国人民币(&yen;)',
		'short_symbol'   => '¥',
		'locales'        => $locales['CNY'],
	),
	'CO' => array(
		'currency_code'  => 'COP',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'es_CO',
		'name'           => '哥伦比亚比索',
		'singular'       => '哥伦比亚比索',
		'plural'         => 'Colombian pesos',
		'short_symbol'   => '$',
		'locales'        => $locales['COP'],
	),
	'CR' => array(
		'currency_code'  => 'CRC',
		'currency_pos'   => 'left',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'es_CR',
		'name'           => 'Costa Rican colón',
		'singular'       => 'Costa Rican colón',
		'plural'         => 'Costa Rican colóns',
		'short_symbol'   => '₡',
		'locales'        => $locales['CRC'],
	),
	'CU' => array(
		'currency_code'  => 'CUC',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'es_CU',
		'name'           => '古巴可兑换比索',
		'singular'       => '古巴可兑换比索',
		'plural'         => 'Cuban convertible pesos',
		'short_symbol'   => '$',
		'locales'        => $locales['CUC'],
	),
	'CV' => array(
		'currency_code'  => 'CVE',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'pt_CV',
		'name'           => '佛得角 埃斯库多',
		'singular'       => '佛得角 埃斯库多',
		'plural'         => 'Cape Verdean escudos',
		'short_symbol'   => null,
		'locales'        => $locales['CVE'],
	),
	'CW' => array(
		'currency_code'  => 'ANG',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'nl_CW',
		'name'           => '荷属安的列斯 盾',
		'singular'       => '荷属安的列斯 盾',
		'plural'         => 'Netherlands Antillean guilders',
		'short_symbol'   => null,
		'locales'        => $locales['ANG'],
	),
	'CX' => array(
		'currency_code'  => 'AUD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_CX',
		'name'           => '澳元（$）',
		'singular'       => '澳元（$）',
		'plural'         => 'Australian dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['AUD'],
	),
	'CY' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'el_CY',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'CZ' => array(
		'currency_code'  => 'CZK',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'cs_CZ',
		'name'           => '捷克克朗 (Kč)',
		'singular'       => '捷克克朗 (Kč)',
		'plural'         => 'Czech korunas',
		'short_symbol'   => 'Kč',
		'locales'        => $locales['CZK'],
	),
	'DE' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'de_DE',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'DG' => array(
		'currency_code'  => 'USD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_DG',
		'name'           => '美元',
		'singular'       => 'US dollar',
		'plural'         => 'US dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['USD'],
	),
	'DJ' => array(
		'currency_code'  => 'DJF',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'rtl',
		'default_locale' => 'ar_DJ',
		'name'           => '吉布提 法郎',
		'singular'       => '吉布提 法郎',
		'plural'         => 'Djiboutian francs',
		'short_symbol'   => null,
		'locales'        => $locales['DJF'],
	),
	'DK' => array(
		'currency_code'  => 'DKK',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'da_DK',
		'name'           => '丹麦克朗',
		'singular'       => '丹麦克朗',
		'plural'         => 'Danish kroner',
		'short_symbol'   => 'kr',
		'locales'        => $locales['DKK'],
	),
	'DM' => array(
		'currency_code'  => 'XCD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_DM',
		'name'           => '东加勒比元',
		'singular'       => '东加勒比元',
		'plural'         => 'East Caribbean dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['XCD'],
	),
	'DO' => array(
		'currency_code'  => 'DOP',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'es_DO',
		'name'           => '多米尼加比索',
		'singular'       => '多米尼加比索',
		'plural'         => 'Dominican pesos',
		'short_symbol'   => '$',
		'locales'        => $locales['DOP'],
	),
	'DZ' => array(
		'currency_code'  => 'DZD',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'rtl',
		'default_locale' => 'ar_DZ',
		'name'           => '阿尔及利亚 第纳尔',
		'singular'       => '阿尔及利亚 第纳尔',
		'plural'         => 'Algerian dinars',
		'short_symbol'   => null,
		'locales'        => $locales['DZD'],
	),
	'EA' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'es_EA',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'EC' => array(
		'currency_code'  => 'USD',
		'currency_pos'   => 'left',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'es_EC',
		'name'           => '美元',
		'singular'       => 'US dollar',
		'plural'         => 'US dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['USD'],
	),
	'EE' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'et_EE',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'EG' => array(
		'currency_code'  => 'EGP',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'rtl',
		'default_locale' => 'ar_EG',
		'name'           => '埃及镑',
		'singular'       => '埃及镑',
		'plural'         => 'Egyptian pounds',
		'short_symbol'   => 'E£',
		'locales'        => $locales['EGP'],
	),
	'EH' => array(
		'currency_code'  => 'MAD',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'rtl',
		'default_locale' => 'ar_EH',
		'name'           => '摩洛哥迪拉姆',
		'singular'       => '摩洛哥迪拉姆',
		'plural'         => 'Moroccan dirhams',
		'short_symbol'   => null,
		'locales'        => $locales['MAD'],
	),
	'ER' => array(
		'currency_code'  => 'ERN',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'ti_ER',
		'name'           => '厄立特里亚 纳克法',
		'singular'       => '厄立特里亚 纳克法',
		'plural'         => 'Eritrean nakfas',
		'short_symbol'   => null,
		'locales'        => $locales['ERN'],
	),
	'ES' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'es_ES',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'ET' => array(
		'currency_code'  => 'ETB',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'am_ET',
		'name'           => '埃塞俄比亚 比尔',
		'singular'       => '埃塞俄比亚 比尔',
		'plural'         => 'Ethiopian birrs',
		'short_symbol'   => null,
		'locales'        => $locales['ETB'],
	),
	'FI' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fi_FI',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'FJ' => array(
		'currency_code'  => 'FJD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_FJ',
		'name'           => '斐济 元',
		'singular'       => '斐济 元',
		'plural'         => 'Fijian dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['FJD'],
	),
	'FK' => array(
		'currency_code'  => 'FKP',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_FK',
		'name'           => '福克兰群岛 镑',
		'singular'       => '福克兰群岛 镑',
		'plural'         => 'Falkland Islands pounds',
		'short_symbol'   => '£',
		'locales'        => $locales['FKP'],
	),
	'FM' => array(
		'currency_code'  => 'USD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_FM',
		'name'           => '美元',
		'singular'       => 'US dollar',
		'plural'         => 'US dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['USD'],
	),
	'FO' => array(
		'currency_code'  => 'DKK',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fo_FO',
		'name'           => '丹麦克朗',
		'singular'       => '丹麦克朗',
		'plural'         => 'Danish kroner',
		'short_symbol'   => 'kr',
		'locales'        => $locales['DKK'],
	),
	'FR' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_FR',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'GA' => array(
		'currency_code'  => 'XAF',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_GA',
		'name'           => '中非法郎',
		'singular'       => '中非法郎',
		'plural'         => 'Central African CFA francs',
		'short_symbol'   => null,
		'locales'        => $locales['XAF'],
	),
	'GB' => array(
		'currency_code'  => 'GBP',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'oz',
		'dimension_unit' => 'foot',
		'direction'      => 'ltr',
		'default_locale' => 'en_GB',
		'name'           => '英镑 (&pound;)',
		'singular'       => 'British pound',
		'plural'         => 'British pounds',
		'short_symbol'   => '£',
		'locales'        => $locales['GBP'],
	),
	'GD' => array(
		'currency_code'  => 'XCD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_GD',
		'name'           => '东加勒比元',
		'singular'       => '东加勒比元',
		'plural'         => 'East Caribbean dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['XCD'],
	),
	'GE' => array(
		'currency_code'  => 'GEL',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'ka_GE',
		'name'           => '格鲁吉亚 拉里',
		'singular'       => '格鲁吉亚 拉里',
		'plural'         => 'Georgian laris',
		'short_symbol'   => '₾',
		'locales'        => $locales['GEL'],
	),
	'GF' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_GF',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'GG' => array(
		'currency_code'  => 'GBP',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_GG',
		'name'           => '英镑 (&pound;)',
		'singular'       => 'British pound',
		'plural'         => 'British pounds',
		'short_symbol'   => '£',
		'locales'        => $locales['GBP'],
	),
	'GH' => array(
		'currency_code'  => 'GHS',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'ak_GH',
		'name'           => '加纳 塞地',
		'singular'       => 'Ghanaian cedi',
		'plural'         => 'Ghanaian cedis',
		'short_symbol'   => 'GH₵',
		'locales'        => $locales['GHS'],
	),
	'GI' => array(
		'currency_code'  => 'GIP',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_GI',
		'name'           => '直布罗陀 镑',
		'singular'       => '直布罗陀 镑',
		'plural'         => 'Gibraltar pounds',
		'short_symbol'   => '£',
		'locales'        => $locales['GIP'],
	),
	'GL' => array(
		'currency_code'  => 'DKK',
		'currency_pos'   => 'left',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'kl_GL',
		'name'           => '丹麦克朗',
		'singular'       => '丹麦克朗',
		'plural'         => 'Danish kroner',
		'short_symbol'   => 'kr',
		'locales'        => $locales['DKK'],
	),
	'GM' => array(
		'currency_code'  => 'GMD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_GM',
		'name'           => '冈比亚 达拉西',
		'singular'       => '冈比亚 达拉西',
		'plural'         => 'Gambian dalasis',
		'short_symbol'   => null,
		'locales'        => $locales['GMD'],
	),
	'GN' => array(
		'currency_code'  => 'GNF',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_GN',
		'name'           => '几内亚 法郎',
		'singular'       => '几内亚 法郎',
		'plural'         => 'Guinean francs',
		'short_symbol'   => 'FG',
		'locales'        => $locales['GNF'],
	),
	'GP' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_GP',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'GQ' => array(
		'currency_code'  => 'XAF',
		'currency_pos'   => 'left',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'es_GQ',
		'name'           => '中非法郎',
		'singular'       => '中非法郎',
		'plural'         => 'Central African CFA francs',
		'short_symbol'   => null,
		'locales'        => $locales['XAF'],
	),
	'GR' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'el_GR',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'GT' => array(
		'currency_code'  => 'GTQ',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'es_GT',
		'name'           => '危地马拉 格查尔',
		'singular'       => '危地马拉 格查尔',
		'plural'         => 'Guatemalan quetzals',
		'short_symbol'   => 'Q',
		'locales'        => $locales['GTQ'],
	),
	'GU' => array(
		'currency_code'  => 'USD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_GU',
		'name'           => '美元',
		'singular'       => 'US dollar',
		'plural'         => 'US dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['USD'],
	),
	'GW' => array(
		'currency_code'  => 'XOF',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'pt_GW',
		'name'           => '西非法郎',
		'singular'       => '西非法郎',
		'plural'         => 'West African CFA francs',
		'short_symbol'   => null,
		'locales'        => $locales['XOF'],
	),
	'GY' => array(
		'currency_code'  => 'GYD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_GY',
		'name'           => '圭亚那 元',
		'singular'       => 'Guyanaese dollar',
		'plural'         => 'Guyanaese dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['GYD'],
	),
	'HK' => array(
		'currency_code'  => 'HKD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'zh_Hant_HK',
		'name'           => '港币（HK$）',
		'singular'       => '港币（HK$）',
		'plural'         => 'Hong Kong dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['HKD'],
	),
	'HN' => array(
		'currency_code'  => 'HNL',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'es_HN',
		'name'           => '洪都拉斯 伦皮拉',
		'singular'       => '洪都拉斯 伦皮拉',
		'plural'         => 'Honduran lempiras',
		'short_symbol'   => 'L',
		'locales'        => $locales['HNL'],
	),
	'HR' => array(
		'currency_code'  => 'HRK',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'hr_HR',
		'name'           => '克罗地亚库纳',
		'singular'       => '克罗地亚库纳',
		'plural'         => 'Croatian kunas',
		'short_symbol'   => 'kn',
		'locales'        => $locales['HRK'],
	),
	'HT' => array(
		'currency_code'  => 'USD',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_HT',
		'name'           => '美元',
		'singular'       => 'US dollar',
		'plural'         => 'US dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['USD'],
	),
	'HU' => array(
		'currency_code'  => 'HUF',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'hu_HU',
		'name'           => '匈牙利福林',
		'singular'       => '匈牙利福林',
		'plural'         => 'Hungarian forints',
		'short_symbol'   => 'Ft',
		'locales'        => $locales['HUF'],
	),
	'IC' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'es_IC',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'ID' => array(
		'currency_code'  => 'IDR',
		'currency_pos'   => 'left',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'id_ID',
		'name'           => '印尼盾',
		'singular'       => '印尼盾',
		'plural'         => 'Indonesian rupiahs',
		'short_symbol'   => 'Rp',
		'locales'        => $locales['IDR'],
	),
	'IE' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_IE',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'IL' => array(
		'currency_code'  => 'ILS',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'rtl',
		'default_locale' => 'he_IL',
		'name'           => '以色列新谢克尔',
		'singular'       => '以色列新谢克尔',
		'plural'         => 'Israeli new shekels',
		'short_symbol'   => '₪',
		'locales'        => $locales['ILS'],
	),
	'IM' => array(
		'currency_code'  => 'GBP',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_IM',
		'name'           => '英镑 (&pound;)',
		'singular'       => 'British pound',
		'plural'         => 'British pounds',
		'short_symbol'   => '£',
		'locales'        => $locales['GBP'],
	),
	'IN' => array(
		'currency_code'  => 'INR',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'hi_IN',
		'name'           => '印度卢比',
		'singular'       => '印度卢比',
		'plural'         => 'Indian rupees',
		'short_symbol'   => '₹',
		'locales'        => $locales['INR'],
	),
	'IO' => array(
		'currency_code'  => 'USD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_IO',
		'name'           => '美元',
		'singular'       => 'US dollar',
		'plural'         => 'US dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['USD'],
	),
	'IQ' => array(
		'currency_code'  => 'IQD',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'rtl',
		'default_locale' => 'ar_IQ',
		'name'           => '伊拉克第纳尔',
		'singular'       => '伊拉克第纳尔',
		'plural'         => 'Iraqi dinars',
		'short_symbol'   => null,
		'locales'        => $locales['IQD'],
	),
	'IR' => array(
		'currency_code'  => 'IRR',
		'currency_pos'   => 'left',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'rtl',
		'default_locale' => 'fa_IR',
		'name'           => '伊朗里亚尔',
		'singular'       => '伊朗里亚尔',
		'plural'         => 'Iranian rials',
		'short_symbol'   => null,
		'locales'        => $locales['IRR'],
	),
	'IS' => array(
		'currency_code'  => 'ISK',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'is_IS',
		'name'           => 'Icelandic króna',
		'singular'       => 'Icelandic króna',
		'plural'         => 'Icelandic krónur',
		'short_symbol'   => 'kr',
		'locales'        => $locales['ISK'],
	),
	'IT' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'it_IT',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'JE' => array(
		'currency_code'  => 'GBP',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_JE',
		'name'           => '英镑 (&pound;)',
		'singular'       => 'British pound',
		'plural'         => 'British pounds',
		'short_symbol'   => '£',
		'locales'        => $locales['GBP'],
	),
	'JM' => array(
		'currency_code'  => 'JMD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_JM',
		'name'           => '牙买加元',
		'singular'       => '牙买加元',
		'plural'         => 'Jamaican dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['JMD'],
	),
	'JO' => array(
		'currency_code'  => 'JOD',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 3,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'rtl',
		'default_locale' => 'ar_JO',
		'name'           => '约旦第纳尔',
		'singular'       => '约旦第纳尔',
		'plural'         => 'Jordanian dinars',
		'short_symbol'   => null,
		'locales'        => $locales['JOD'],
	),
	'JP' => array(
		'currency_code'  => 'JPY',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'ja_JP',
		'name'           => '日元 (&yen;)',
		'singular'       => '日元 (&yen;)',
		'plural'         => '日元 (&yen;)',
		'short_symbol'   => '¥',
		'locales'        => $locales['JPY'],
	),
	'KE' => array(
		'currency_code'  => 'KES',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'sw_KE',
		'name'           => '肯尼亚先令',
		'singular'       => '肯尼亚先令',
		'plural'         => 'Kenyan shillings',
		'short_symbol'   => null,
		'locales'        => $locales['KES'],
	),
	'KG' => array(
		'currency_code'  => 'KGS',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'ky_KG',
		'name'           => '吉尔吉斯斯坦索姆',
		'singular'       => 'Kyrgystani som',
		'plural'         => 'Kyrgystani soms',
		'short_symbol'   => null,
		'locales'        => $locales['KGS'],
	),
	'KH' => array(
		'currency_code'  => 'KHR',
		'currency_pos'   => 'right',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'km_KH',
		'name'           => '柬埔寨瑞尔',
		'singular'       => '柬埔寨瑞尔',
		'plural'         => 'Cambodian riels',
		'short_symbol'   => '៛',
		'locales'        => $locales['KHR'],
	),
	'KI' => array(
		'currency_code'  => 'AUD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_KI',
		'name'           => '澳元（$）',
		'singular'       => '澳元（$）',
		'plural'         => 'Australian dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['AUD'],
	),
	'KM' => array(
		'currency_code'  => 'KMF',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'rtl',
		'default_locale' => 'ar_KM',
		'name'           => '葛摩法郎',
		'singular'       => '葛摩法郎',
		'plural'         => 'Comorian francs',
		'short_symbol'   => 'CF',
		'locales'        => $locales['KMF'],
	),
	'KN' => array(
		'currency_code'  => 'XCD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_KN',
		'name'           => '东加勒比元',
		'singular'       => '东加勒比元',
		'plural'         => 'East Caribbean dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['XCD'],
	),
	'KP' => array(
		'currency_code'  => 'KPW',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'ko_KP',
		'name'           => '朝鲜圆',
		'singular'       => '朝鲜圆',
		'plural'         => '朝鲜圆',
		'short_symbol'   => '₩',
		'locales'        => $locales['KPW'],
	),
	'KR' => array(
		'currency_code'  => 'KRW',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'ko_KR',
		'name'           => '南非兰特 (R)',
		'singular'       => '南非兰特 (R)',
		'plural'         => '南非兰特 (R)',
		'short_symbol'   => '₩',
		'locales'        => $locales['KRW'],
	),
	'KW' => array(
		'currency_code'  => 'KWD',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 3,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'rtl',
		'default_locale' => 'ar_KW',
		'name'           => '科威特第纳尔',
		'singular'       => '科威特第纳尔',
		'plural'         => 'Kuwaiti dinars',
		'short_symbol'   => null,
		'locales'        => $locales['KWD'],
	),
	'KY' => array(
		'currency_code'  => 'KYD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_KY',
		'name'           => '开曼群岛元',
		'singular'       => '开曼群岛元',
		'plural'         => 'Cayman Islands dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['KYD'],
	),
	'KZ' => array(
		'currency_code'  => 'KZT',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'ru_KZ',
		'name'           => '哈萨克斯坦坚戈',
		'singular'       => '哈萨克斯坦坚戈',
		'plural'         => 'Kazakhstani tenges',
		'short_symbol'   => '₸',
		'locales'        => $locales['KZT'],
	),
	'LA' => array(
		'currency_code'  => 'LAK',
		'currency_pos'   => 'left',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'lo_LA',
		'name'           => '老挝基普',
		'singular'       => 'Laotian kip',
		'plural'         => 'Laotian kips',
		'short_symbol'   => '₭',
		'locales'        => $locales['LAK'],
	),
	'LB' => array(
		'currency_code'  => 'LBP',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'rtl',
		'default_locale' => 'ar_LB',
		'name'           => '黎巴嫩镑',
		'singular'       => '黎巴嫩镑',
		'plural'         => 'Lebanese pounds',
		'short_symbol'   => 'L£',
		'locales'        => $locales['LBP'],
	),
	'LC' => array(
		'currency_code'  => 'XCD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_LC',
		'name'           => '东加勒比元',
		'singular'       => '东加勒比元',
		'plural'         => 'East Caribbean dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['XCD'],
	),
	'LI' => array(
		'currency_code'  => 'CHF',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => '\'',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'de_LI',
		'name'           => '瑞士法郎',
		'singular'       => '瑞士法郎',
		'plural'         => 'Swiss francs',
		'short_symbol'   => null,
		'locales'        => $locales['CHF'],
	),
	'LK' => array(
		'currency_code'  => 'LKR',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'si_LK',
		'name'           => '斯里兰卡卢比',
		'singular'       => '斯里兰卡卢比',
		'plural'         => 'Sri Lankan rupees',
		'short_symbol'   => 'Rs',
		'locales'        => $locales['LKR'],
	),
	'LR' => array(
		'currency_code'  => 'LRD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_LR',
		'name'           => '利比里亚元',
		'singular'       => '利比里亚元',
		'plural'         => 'Liberian dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['LRD'],
	),
	'LS' => array(
		'currency_code'  => 'LSL',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_LS',
		'name'           => '莱索托洛蒂',
		'singular'       => '莱索托洛蒂',
		'plural'         => 'Lesotho lotis',
		'short_symbol'   => null,
		'locales'        => $locales['LSL'],
	),
	'LT' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'lt_LT',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'LU' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_LU',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'LV' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'lv_LV',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'LY' => array(
		'currency_code'  => 'LYD',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 3,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'rtl',
		'default_locale' => 'ar_LY',
		'name'           => '利比亚第纳尔',
		'singular'       => '利比亚第纳尔',
		'plural'         => 'Libyan dinars',
		'short_symbol'   => null,
		'locales'        => $locales['LYD'],
	),
	'MA' => array(
		'currency_code'  => 'MAD',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'rtl',
		'default_locale' => 'ar_MA',
		'name'           => '摩洛哥迪拉姆',
		'singular'       => '摩洛哥迪拉姆',
		'plural'         => 'Moroccan dirhams',
		'short_symbol'   => null,
		'locales'        => $locales['MAD'],
	),
	'MC' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_MC',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'MD' => array(
		'currency_code'  => 'MDL',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'ro_MD',
		'name'           => '摩尔多瓦列伊',
		'singular'       => '摩尔多瓦列伊',
		'plural'         => 'Moldovan lei',
		'short_symbol'   => null,
		'locales'        => $locales['MDL'],
	),
	'ME' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'sr_Latn_ME',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'MF' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_MF',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'MG' => array(
		'currency_code'  => 'MGA',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'mg_MG',
		'name'           => '马达加斯加阿里亚里',
		'singular'       => '马达加斯加阿里亚里',
		'plural'         => 'Malagasy ariaries',
		'short_symbol'   => 'Ar',
		'locales'        => $locales['MGA'],
	),
	'MH' => array(
		'currency_code'  => 'USD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_MH',
		'name'           => '美元',
		'singular'       => 'US dollar',
		'plural'         => 'US dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['USD'],
	),
	'MK' => array(
		'currency_code'  => 'MKD',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'mk_MK',
		'name'           => '马其顿第纳尔',
		'singular'       => '马其顿第纳尔',
		'plural'         => 'Macedonian denari',
		'short_symbol'   => null,
		'locales'        => $locales['MKD'],
	),
	'ML' => array(
		'currency_code'  => 'XOF',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_ML',
		'name'           => '西非法郎',
		'singular'       => '西非法郎',
		'plural'         => 'West African CFA francs',
		'short_symbol'   => null,
		'locales'        => $locales['XOF'],
	),
	'MM' => array(
		'currency_code'  => 'MMK',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'my_MM',
		'name'           => '缅元',
		'singular'       => 'Myanmar kyat',
		'plural'         => 'Myanmar kyats',
		'short_symbol'   => 'K',
		'locales'        => $locales['MMK'],
	),
	'MN' => array(
		'currency_code'  => 'MNT',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'mn_MN',
		'name'           => 'Mongolian tögrög',
		'singular'       => 'Mongolian tugrik',
		'plural'         => 'Mongolian tugriks',
		'short_symbol'   => '₮',
		'locales'        => $locales['MNT'],
	),
	'MO' => array(
		'currency_code'  => 'MOP',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'zh_Hant_MO',
		'name'           => '澳门元',
		'singular'       => '澳门元',
		'plural'         => 'Macanese patacas',
		'short_symbol'   => null,
		'locales'        => $locales['MOP'],
	),
	'MP' => array(
		'currency_code'  => 'USD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_MP',
		'name'           => '美元',
		'singular'       => 'US dollar',
		'plural'         => 'US dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['USD'],
	),
	'MQ' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_MQ',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'MR' => array(
		'currency_code'  => 'MRU',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'rtl',
		'default_locale' => 'ar_MR',
		'name'           => '毛里塔尼亚乌吉亚',
		'singular'       => '毛里塔尼亚乌吉亚',
		'plural'         => 'Mauritanian ouguiyas',
		'short_symbol'   => null,
		'locales'        => $locales['MRU'],
	),
	'MS' => array(
		'currency_code'  => 'XCD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_MS',
		'name'           => '东加勒比元',
		'singular'       => '东加勒比元',
		'plural'         => 'East Caribbean dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['XCD'],
	),
	'MT' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'mt_MT',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'MU' => array(
		'currency_code'  => 'MUR',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_MU',
		'name'           => '毛里求斯 卢比',
		'singular'       => '毛里求斯 卢比',
		'plural'         => 'Mauritian rupees',
		'short_symbol'   => 'Rs',
		'locales'        => $locales['MUR'],
	),
	'MV' => array(
		'currency_code'  => 'MVR',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'rtl',
		'default_locale' => '',
		'name'           => '马尔地夫 拉菲亚',
		'singular'       => '马尔地夫 拉菲亚',
		'plural'         => 'Maldivian rufiyaas',
		'short_symbol'   => null,
		'locales'        => $locales['MVR'],
	),
	'MW' => array(
		'currency_code'  => 'MWK',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_MW',
		'name'           => '马拉维克 瓦查',
		'singular'       => '马拉维克 瓦查',
		'plural'         => 'Malawian kwachas',
		'short_symbol'   => null,
		'locales'        => $locales['MWK'],
	),
	'MX' => array(
		'currency_code'  => 'MXN',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'es_MX',
		'name'           => '墨西哥比索（$）',
		'singular'       => '墨西哥比索（$）',
		'plural'         => 'Mexican pesos',
		'short_symbol'   => '$',
		'locales'        => $locales['MXN'],
	),
	'MY' => array(
		'currency_code'  => 'MYR',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'ms_MY',
		'name'           => '马来西亚林吉特',
		'singular'       => '马来西亚林吉特',
		'plural'         => 'Malaysian ringgits',
		'short_symbol'   => 'RM',
		'locales'        => $locales['MYR'],
	),
	'MZ' => array(
		'currency_code'  => 'MZN',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'pt_MZ',
		'name'           => '莫桑比克梅蒂卡尔',
		'singular'       => '莫桑比克梅蒂卡尔',
		'plural'         => 'Mozambican meticals',
		'short_symbol'   => null,
		'locales'        => $locales['MZN'],
	),
	'NA' => array(
		'currency_code'  => 'NAD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_NA',
		'name'           => '纳米比亚元',
		'singular'       => '纳米比亚元',
		'plural'         => 'Namibian dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['NAD'],
	),
	'NC' => array(
		'currency_code'  => 'XPF',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_NC',
		'name'           => '太平洋金融共同体法郎',
		'singular'       => '太平洋金融共同体法郎',
		'plural'         => 'CFP francs',
		'short_symbol'   => null,
		'locales'        => $locales['XPF'],
	),
	'NE' => array(
		'currency_code'  => 'XOF',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_NE',
		'name'           => '西非法郎',
		'singular'       => '西非法郎',
		'plural'         => 'West African CFA francs',
		'short_symbol'   => null,
		'locales'        => $locales['XOF'],
	),
	'NF' => array(
		'currency_code'  => 'AUD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_NF',
		'name'           => '澳元（$）',
		'singular'       => '澳元（$）',
		'plural'         => 'Australian dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['AUD'],
	),
	'NG' => array(
		'currency_code'  => 'NGN',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_NG',
		'name'           => '尼日利亚奈拉',
		'singular'       => '尼日利亚奈拉',
		'plural'         => 'Nigerian nairas',
		'short_symbol'   => '₦',
		'locales'        => $locales['NGN'],
	),
	'NI' => array(
		'currency_code'  => 'NIO',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'es_NI',
		'name'           => 'Nicaraguan córdoba',
		'singular'       => 'Nicaraguan córdoba',
		'plural'         => 'Nicaraguan córdobas',
		'short_symbol'   => 'C$',
		'locales'        => $locales['NIO'],
	),
	'NL' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'nl_NL',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'NO' => array(
		'currency_code'  => 'NOK',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'nb_NO',
		'name'           => '挪威克朗',
		'singular'       => '挪威克朗',
		'plural'         => 'Norwegian kroner',
		'short_symbol'   => 'kr',
		'locales'        => $locales['NOK'],
	),
	'NP' => array(
		'currency_code'  => 'NPR',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'ne_NP',
		'name'           => '尼泊尔卢比',
		'singular'       => '尼泊尔卢比',
		'plural'         => 'Nepalese rupees',
		'short_symbol'   => 'Rs',
		'locales'        => $locales['NPR'],
	),
	'NR' => array(
		'currency_code'  => 'AUD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_NR',
		'name'           => '澳元（$）',
		'singular'       => '澳元（$）',
		'plural'         => 'Australian dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['AUD'],
	),
	'NU' => array(
		'currency_code'  => 'NZD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_NU',
		'name'           => '新西兰元（$）',
		'singular'       => '新西兰元（$）',
		'plural'         => 'New Zealand dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['NZD'],
	),
	'NZ' => array(
		'currency_code'  => 'NZD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_NZ',
		'name'           => '新西兰元（$）',
		'singular'       => '新西兰元（$）',
		'plural'         => 'New Zealand dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['NZD'],
	),
	'OM' => array(
		'currency_code'  => 'OMR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 3,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'rtl',
		'default_locale' => 'ar_OM',
		'name'           => '阿曼里亚尔',
		'singular'       => '阿曼里亚尔',
		'plural'         => 'Omani rials',
		'short_symbol'   => null,
		'locales'        => $locales['OMR'],
	),
	'PA' => array(
		'currency_code'  => 'USD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'es_PA',
		'name'           => '美元',
		'singular'       => 'US dollar',
		'plural'         => 'US dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['USD'],
	),
	'PE' => array(
		'currency_code'  => 'PEN',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'es_PE',
		'name'           => 'Sol',
		'singular'       => 'Peruvian sol',
		'plural'         => 'Peruvian soles',
		'short_symbol'   => null,
		'locales'        => $locales['PEN'],
	),
	'PF' => array(
		'currency_code'  => 'XPF',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_PF',
		'name'           => '太平洋金融共同体法郎',
		'singular'       => '太平洋金融共同体法郎',
		'plural'         => 'CFP francs',
		'short_symbol'   => null,
		'locales'        => $locales['XPF'],
	),
	'PG' => array(
		'currency_code'  => 'PGK',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_PG',
		'name'           => '巴布亚新几内亚基那',
		'singular'       => '巴布亚新几内亚基那',
		'plural'         => '巴布亚新几内亚基那',
		'short_symbol'   => null,
		'locales'        => $locales['PGK'],
	),
	'PH' => array(
		'currency_code'  => 'PHP',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_PH',
		'name'           => '菲律宾比索',
		'singular'       => 'Philippine piso',
		'plural'         => 'Philippine pisos',
		'short_symbol'   => '₱',
		'locales'        => $locales['PHP'],
	),
	'PK' => array(
		'currency_code'  => 'PKR',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'rtl',
		'default_locale' => 'ur_PK',
		'name'           => '巴基斯坦卢比',
		'singular'       => '巴基斯坦卢比',
		'plural'         => 'Pakistani rupees',
		'short_symbol'   => 'Rs',
		'locales'        => $locales['PKR'],
	),
	'PL' => array(
		'currency_code'  => 'PLN',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'pl_PL',
		'name'           => 'Polish złoty',
		'singular'       => 'Polish zloty',
		'plural'         => 'Polish zlotys',
		'short_symbol'   => 'zł',
		'locales'        => $locales['PLN'],
	),
	'PM' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_PM',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'PN' => array(
		'currency_code'  => 'NZD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_PN',
		'name'           => '新西兰元（$）',
		'singular'       => '新西兰元（$）',
		'plural'         => 'New Zealand dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['NZD'],
	),
	'PR' => array(
		'currency_code'  => 'USD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'es_PR',
		'name'           => '美元',
		'singular'       => 'US dollar',
		'plural'         => 'US dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['USD'],
	),
	'PS' => array(
		'currency_code'  => 'JOD',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 3,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'rtl',
		'default_locale' => 'ar_PS',
		'name'           => '约旦第纳尔',
		'singular'       => '约旦第纳尔',
		'plural'         => 'Jordanian dinars',
		'short_symbol'   => null,
		'locales'        => $locales['JOD'],
	),
	'PT' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'pt_PT',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'PW' => array(
		'currency_code'  => 'USD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_PW',
		'name'           => '美元',
		'singular'       => 'US dollar',
		'plural'         => 'US dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['USD'],
	),
	'PY' => array(
		'currency_code'  => 'PYG',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'es_PY',
		'name'           => 'Paraguayan guaraní',
		'singular'       => 'Paraguayan guarani',
		'plural'         => 'Paraguayan guaranis',
		'short_symbol'   => '₲',
		'locales'        => $locales['PYG'],
	),
	'QA' => array(
		'currency_code'  => 'QAR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'rtl',
		'default_locale' => 'ar_QA',
		'name'           => '卡塔尔里亚尔',
		'singular'       => 'Qatari rial',
		'plural'         => 'Qatari rials',
		'short_symbol'   => null,
		'locales'        => $locales['QAR'],
	),
	'RE' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_RE',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'RO' => array(
		'currency_code'  => 'RON',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'ro_RO',
		'name'           => '罗马尼亚列伊',
		'singular'       => '罗马尼亚列伊',
		'plural'         => 'Romanian lei',
		'short_symbol'   => 'lei',
		'locales'        => $locales['RON'],
	),
	'RS' => array(
		'currency_code'  => 'RSD',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'sr_RS',
		'name'           => '塞尔维亚第纳尔',
		'singular'       => '塞尔维亚第纳尔',
		'plural'         => 'Serbian dinars',
		'short_symbol'   => null,
		'locales'        => $locales['RSD'],
	),
	'RU' => array(
		'currency_code'  => 'RUB',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'ru_RU',
		'name'           => '俄罗斯卢布',
		'singular'       => '俄罗斯卢布',
		'plural'         => 'Russian rubles',
		'short_symbol'   => '₽',
		'locales'        => $locales['RUB'],
	),
	'RW' => array(
		'currency_code'  => 'RWF',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'rw_RW',
		'name'           => '卢旺达法郎',
		'singular'       => '卢旺达法郎',
		'plural'         => 'Rwandan francs',
		'short_symbol'   => 'RF',
		'locales'        => $locales['RWF'],
	),
	'SA' => array(
		'currency_code'  => 'SAR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'rtl',
		'default_locale' => 'ar_SA',
		'name'           => '沙特里亚尔',
		'singular'       => '沙特里亚尔',
		'plural'         => 'Saudi riyals',
		'short_symbol'   => null,
		'locales'        => $locales['SAR'],
	),
	'SB' => array(
		'currency_code'  => 'SBD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_SB',
		'name'           => '所罗门群岛元',
		'singular'       => '所罗门群岛元',
		'plural'         => 'Solomon Islands dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['SBD'],
	),
	'SC' => array(
		'currency_code'  => 'SCR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_SC',
		'name'           => '塞席尔卢比',
		'singular'       => '塞席尔卢比',
		'plural'         => 'Seychellois rupees',
		'short_symbol'   => null,
		'locales'        => $locales['SCR'],
	),
	'SD' => array(
		'currency_code'  => 'SDG',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'rtl',
		'default_locale' => 'ar_SD',
		'name'           => '苏丹镑',
		'singular'       => '苏丹镑',
		'plural'         => 'Sudanese pounds',
		'short_symbol'   => null,
		'locales'        => $locales['SDG'],
	),
	'SE' => array(
		'currency_code'  => 'SEK',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'sv_SE',
		'name'           => '瑞典克郎',
		'singular'       => '瑞典克郎',
		'plural'         => 'Swedish kronor',
		'short_symbol'   => 'kr',
		'locales'        => $locales['SEK'],
	),
	'SG' => array(
		'currency_code'  => 'SGD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_SG',
		'name'           => '新加坡元（S$）',
		'singular'       => '新加坡元（S$）',
		'plural'         => 'Singapore dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['SGD'],
	),
	'SH' => array(
		'currency_code'  => 'SHP',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_SH',
		'name'           => '圣赫勒拿镑',
		'singular'       => 'St. Helena pound',
		'plural'         => 'St. Helena pounds',
		'short_symbol'   => '£',
		'locales'        => $locales['SHP'],
	),
	'SI' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'sl_SI',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'SJ' => array(
		'currency_code'  => 'NOK',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'nb_SJ',
		'name'           => '挪威克朗',
		'singular'       => '挪威克朗',
		'plural'         => 'Norwegian kroner',
		'short_symbol'   => 'kr',
		'locales'        => $locales['NOK'],
	),
	'SK' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'sk_SK',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'SL' => array(
		'currency_code'  => 'SLL',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_SL',
		'name'           => '塞拉利昂利昂',
		'singular'       => '塞拉利昂利昂',
		'plural'         => 'Sierra Leonean leones',
		'short_symbol'   => null,
		'locales'        => $locales['SLL'],
	),
	'SM' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'it_SM',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'SN' => array(
		'currency_code'  => 'XOF',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'wo_SN',
		'name'           => '西非法郎',
		'singular'       => '西非法郎',
		'plural'         => 'West African CFA francs',
		'short_symbol'   => null,
		'locales'        => $locales['XOF'],
	),
	'SO' => array(
		'currency_code'  => 'SOS',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'so_SO',
		'name'           => '索马里先令',
		'singular'       => '索马里先令',
		'plural'         => 'Somali shillings',
		'short_symbol'   => null,
		'locales'        => $locales['SOS'],
	),
	'SR' => array(
		'currency_code'  => 'SRD',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'nl_SR',
		'name'           => '苏里南元',
		'singular'       => '苏里南元',
		'plural'         => 'Surinamese dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['SRD'],
	),
	'SS' => array(
		'currency_code'  => 'SSP',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_SS',
		'name'           => '南苏丹镑',
		'singular'       => '南苏丹镑',
		'plural'         => 'South Sudanese pounds',
		'short_symbol'   => '£',
		'locales'        => $locales['SSP'],
	),
	'ST' => array(
		'currency_code'  => 'STN',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'pt_ST',
		'name'           => 'São Tomé and Príncipe dobra',
		'singular'       => 'São Tomé & Príncipe dobra',
		'plural'         => 'São Tomé & Príncipe dobras',
		'short_symbol'   => 'Db',
		'locales'        => $locales['STN'],
	),
	'SV' => array(
		'currency_code'  => 'USD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'es_SV',
		'name'           => '美元',
		'singular'       => 'US dollar',
		'plural'         => 'US dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['USD'],
	),
	'SX' => array(
		'currency_code'  => 'ANG',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_SX',
		'name'           => '荷属安的列斯 盾',
		'singular'       => '荷属安的列斯 盾',
		'plural'         => 'Netherlands Antillean guilders',
		'short_symbol'   => null,
		'locales'        => $locales['ANG'],
	),
	'SY' => array(
		'currency_code'  => 'SYP',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'rtl',
		'default_locale' => 'ar_SY',
		'name'           => '叙利亚镑',
		'singular'       => '叙利亚镑',
		'plural'         => 'Syrian pounds',
		'short_symbol'   => '£',
		'locales'        => $locales['SYP'],
	),
	'SZ' => array(
		'currency_code'  => 'SZL',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_SZ',
		'name'           => '史瓦济兰里兰吉尼',
		'singular'       => '史瓦济兰里兰吉尼',
		'plural'         => 'Swazi emalangeni',
		'short_symbol'   => null,
		'locales'        => $locales['SZL'],
	),
	'TC' => array(
		'currency_code'  => 'USD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_TC',
		'name'           => '美元',
		'singular'       => 'US dollar',
		'plural'         => 'US dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['USD'],
	),
	'TD' => array(
		'currency_code'  => 'XAF',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_TD',
		'name'           => '中非法郎',
		'singular'       => '中非法郎',
		'plural'         => 'Central African CFA francs',
		'short_symbol'   => null,
		'locales'        => $locales['XAF'],
	),
	'TG' => array(
		'currency_code'  => 'XOF',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_TG',
		'name'           => '西非法郎',
		'singular'       => '西非法郎',
		'plural'         => 'West African CFA francs',
		'short_symbol'   => null,
		'locales'        => $locales['XOF'],
	),
	'TH' => array(
		'currency_code'  => 'THB',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'th_TH',
		'name'           => '泰铢',
		'singular'       => '泰铢',
		'plural'         => '泰铢',
		'short_symbol'   => '฿',
		'locales'        => $locales['THB'],
	),
	'TJ' => array(
		'currency_code'  => 'TJS',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'tg_TJ',
		'name'           => '塔吉克索莫尼',
		'singular'       => '塔吉克索莫尼',
		'plural'         => 'Tajikistani somonis',
		'short_symbol'   => null,
		'locales'        => $locales['TJS'],
	),
	'TK' => array(
		'currency_code'  => 'NZD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_TK',
		'name'           => '新西兰元（$）',
		'singular'       => '新西兰元（$）',
		'plural'         => 'New Zealand dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['NZD'],
	),
	'TL' => array(
		'currency_code'  => 'USD',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'pt_TL',
		'name'           => '美元',
		'singular'       => 'US dollar',
		'plural'         => 'US dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['USD'],
	),
	'TM' => array(
		'currency_code'  => 'TMT',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'tk_TM',
		'name'           => '土库曼马纳特',
		'singular'       => 'Turkmenistani manat',
		'plural'         => 'Turkmenistani manat',
		'short_symbol'   => null,
		'locales'        => $locales['TMT'],
	),
	'TN' => array(
		'currency_code'  => 'TND',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 3,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'rtl',
		'default_locale' => 'ar_TN',
		'name'           => '突尼斯第纳尔',
		'singular'       => '突尼斯第纳尔',
		'plural'         => 'Tunisian dinars',
		'short_symbol'   => null,
		'locales'        => $locales['TND'],
	),
	'TO' => array(
		'currency_code'  => 'TOP',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'to_TO',
		'name'           => 'Tongan paʻanga',
		'singular'       => 'Tongan paʻanga',
		'plural'         => 'Tongan paʻanga',
		'short_symbol'   => 'T$',
		'locales'        => $locales['TOP'],
	),
	'TR' => array(
		'currency_code'  => 'TRY',
		'currency_pos'   => 'left',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'tr_TR',
		'name'           => '土耳其里拉 (TL)',
		'singular'       => '土耳其里拉 (TL)',
		'plural'         => 'Turkish Lira',
		'short_symbol'   => '₺',
		'locales'        => $locales['TRY'],
	),
	'TT' => array(
		'currency_code'  => 'TTD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_TT',
		'name'           => '特立尼达和多巴哥元',
		'singular'       => 'Trinidad & Tobago dollar',
		'plural'         => 'Trinidad & Tobago dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['TTD'],
	),
	'TV' => array(
		'currency_code'  => 'AUD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_TV',
		'name'           => '澳元（$）',
		'singular'       => '澳元（$）',
		'plural'         => 'Australian dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['AUD'],
	),
	'TW' => array(
		'currency_code'  => 'TWD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'zh_Hant',
		'name'           => '新台币',
		'singular'       => '新台币',
		'plural'         => 'New Taiwan dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['TWD'],
	),
	'TZ' => array(
		'currency_code'  => 'TZS',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'sw_TZ',
		'name'           => '坦桑尼亚先令',
		'singular'       => '坦桑尼亚先令',
		'plural'         => 'Tanzanian shillings',
		'short_symbol'   => null,
		'locales'        => $locales['TZS'],
	),
	'UA' => array(
		'currency_code'  => 'UAH',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'uk_UA',
		'name'           => '乌克兰格 里夫尼亚',
		'singular'       => '乌克兰格 里夫尼亚',
		'plural'         => 'Ukrainian hryvnias',
		'short_symbol'   => '₴',
		'locales'        => $locales['UAH'],
	),
	'UG' => array(
		'currency_code'  => 'UGX',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'sw_UG',
		'name'           => '乌干达先令',
		'singular'       => '乌干达先令',
		'plural'         => 'Ugandan shillings',
		'short_symbol'   => null,
		'locales'        => $locales['UGX'],
	),
	'UM' => array(
		'currency_code'  => 'USD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_UM',
		'name'           => '美元',
		'singular'       => 'US dollar',
		'plural'         => 'US dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['USD'],
	),
	'US' => array(
		'currency_code'  => 'USD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'oz',
		'dimension_unit' => 'foot',
		'direction'      => 'ltr',
		'default_locale' => 'en_US',
		'name'           => '美元',
		'singular'       => 'US dollar',
		'plural'         => 'US dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['USD'],
	),
	'UY' => array(
		'currency_code'  => 'UYU',
		'currency_pos'   => 'left_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'es_UY',
		'name'           => '乌拉圭比索',
		'singular'       => '乌拉圭比索',
		'plural'         => 'Uruguayan pesos',
		'short_symbol'   => '$',
		'locales'        => $locales['UYU'],
	),
	'UZ' => array(
		'currency_code'  => 'UZS',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'uz_AF',
		'name'           => '乌兹别克索姆',
		'singular'       => '乌兹别克索姆',
		'plural'         => '乌兹别克索姆',
		'short_symbol'   => null,
		'locales'        => $locales['UZS'],
	),
	'VA' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'it_VA',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'VC' => array(
		'currency_code'  => 'XCD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_VC',
		'name'           => '东加勒比元',
		'singular'       => '东加勒比元',
		'plural'         => 'East Caribbean dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['XCD'],
	),
	'VE' => array(
		'currency_code'  => 'VES',
		'currency_pos'   => 'left',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'es_VE',
		'name'           => 'Bolívar soberano',
		'singular'       => 'Venezuelan bolívar',
		'plural'         => 'Venezuelan bolívars',
		'short_symbol'   => null,
		'locales'        => $locales['VES'],
	),
	'VG' => array(
		'currency_code'  => 'USD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_VG',
		'name'           => '美元',
		'singular'       => 'US dollar',
		'plural'         => 'US dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['USD'],
	),
	'VI' => array(
		'currency_code'  => 'USD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_VI',
		'name'           => '美元',
		'singular'       => 'US dollar',
		'plural'         => 'US dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['USD'],
	),
	'VN' => array(
		'currency_code'  => 'VND',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'vi_VN',
		'name'           => 'Vietnamese đồng',
		'singular'       => 'Vietnamese dong',
		'plural'         => 'Vietnamese dong',
		'short_symbol'   => '₫',
		'locales'        => $locales['VND'],
	),
	'VU' => array(
		'currency_code'  => 'VUV',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_VU',
		'name'           => '瓦努阿图瓦图',
		'singular'       => '瓦努阿图瓦图',
		'plural'         => 'Vanuatu vatus',
		'short_symbol'   => null,
		'locales'        => $locales['VUV'],
	),
	'WF' => array(
		'currency_code'  => 'XPF',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_WF',
		'name'           => '太平洋金融共同体法郎',
		'singular'       => '太平洋金融共同体法郎',
		'plural'         => 'CFP francs',
		'short_symbol'   => null,
		'locales'        => $locales['XPF'],
	),
	'WS' => array(
		'currency_code'  => 'WST',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_WS',
		'name'           => 'Samoan tālā',
		'singular'       => 'Samoan tala',
		'plural'         => 'Samoan tala',
		'short_symbol'   => null,
		'locales'        => $locales['WST'],
	),
	'XK' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'sq_XK',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'YE' => array(
		'currency_code'  => 'YER',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => '.',
		'decimal_sep'    => ',',
		'num_decimals'   => 0,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'rtl',
		'default_locale' => 'ar_YE',
		'name'           => '也门里亚尔',
		'singular'       => '也门里亚尔',
		'plural'         => 'Yemeni rials',
		'short_symbol'   => null,
		'locales'        => $locales['YER'],
	),
	'YT' => array(
		'currency_code'  => 'EUR',
		'currency_pos'   => 'right_space',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'fr_YT',
		'name'           => 'Euro',
		'singular'       => 'euro',
		'plural'         => 'euros',
		'short_symbol'   => '€',
		'locales'        => $locales['EUR'],
	),
	'ZA' => array(
		'currency_code'  => 'ZAR',
		'currency_pos'   => 'left',
		'thousand_sep'   => ' ',
		'decimal_sep'    => ',',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_ZA',
		'name'           => '南非兰特 (R)',
		'singular'       => '南非兰特 (R)',
		'plural'         => '南非兰特 (R)',
		'short_symbol'   => 'R',
		'locales'        => $locales['ZAR'],
	),
	'ZM' => array(
		'currency_code'  => 'ZMW',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'en_ZM',
		'name'           => '赞比亚克瓦查',
		'singular'       => '赞比亚克瓦查',
		'plural'         => 'Zambian kwachas',
		'short_symbol'   => 'ZK',
		'locales'        => $locales['ZMW'],
	),
	'ZW' => array(
		'currency_code'  => 'USD',
		'currency_pos'   => 'left',
		'thousand_sep'   => ',',
		'decimal_sep'    => '.',
		'num_decimals'   => 2,
		'weight_unit'    => 'kg',
		'dimension_unit' => 'cm',
		'direction'      => 'ltr',
		'default_locale' => 'sn_ZW',
		'name'           => '美元',
		'singular'       => 'US dollar',
		'plural'         => 'US dollars',
		'short_symbol'   => '$',
		'locales'        => $locales['USD'],
	),
);
