<?php
/**
 * Admin -> WooCommerce -> Extensions -> WooCommerce.com Subscriptions main page.
 *
 * @package WooCommerce\Views
 */

defined( 'ABSPATH' ) || exit();

?>

<div class="wrap woocommerce wc-addons-wrap wc-helper">
	<?php require WC_Helper::get_view_filename( 'html-section-nav.php' ); ?>
	<h1 class="screen-reader-text"><?php esc_html_e( 'WooCommerce 扩展', 'woocommerce' ); ?></h1>
	<?php require WC_Helper::get_view_filename( 'html-section-notices.php' ); ?>

		<div class="start-container">
			<div class="text">
				<img src="<?php echo esc_url( WC()->plugin_url() . '/assets/images/woocommerce_logo.png' ); ?>" alt="<?php esc_attr_e( 'WooCommerce', 'woocommerce' ); ?>" style="width:180px;">

				<?php if ( ! empty( $_GET['wc-helper-status'] ) && 'helper-disconnected' === $_GET['wc-helper-status'] ) : ?>
					<p><strong><?php esc_html_e( '对于您转移此域，我们深表遗憾。', 'woocommerce' ); ?></strong> <?php esc_html_e( '随时欢迎您使用以下按钮进行重新关联。', 'woocommerce' ); ?></p>
				<?php endif; ?>

				<h2><?php esc_html_e( '管理您的订阅，获取重要的产品通知和更新，所有这些便利都来自于您的
 WooCommerce 仪表盘', 'woocommerce' ); ?></h2>
				<p><?php esc_html_e( '连接后，您在 WooCommerce.com 购买的产品将会列在这里。', 'woocommerce' ); ?></p>
				<p><a class="button button-primary button-helper-connect" href="<?php echo esc_url( $connect_url ); ?>"><?php esc_html_e( '连接', 'woocommerce' ); ?></a></p>
			</div>
		</div>
</div>
