<?php
/**
 * Generic mappings
 *
 * @package WooCommerce\Admin\Importers
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Add generic mappings.
 *
 * @since 3.1.0
 * @param array $mappings Importer columns mappings.
 * @return array
 */
function wc_importer_generic_mappings( $mappings ) {
	$generic_mappings = array(
		__( '标题', 'woocommerce' )         => 'name',
		__( '产品标题', 'woocommerce' ) => 'name',
		__( '价格', 'woocommerce' )         => 'regular_price',
		__( '父级 SKU', 'woocommerce' )    => 'parent_id',
		__( '数量', 'woocommerce' )      => 'stock_quantity',
		__( '菜单排序', 'woocommerce' )    => 'menu_order',
	);

	return array_merge( $mappings, $generic_mappings );
}
add_filter( 'woocommerce_csv_product_import_mapping_default_columns', 'wc_importer_generic_mappings' );
