<?php
/**
 * Admin View: Notice - Legacy Shipping.
 *
 * @package WooCommerce\Admin\Notices
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<div id="message" class="updated woocommerce-message">
	<a class="woocommerce-message-close notice-dismiss" href="<?php echo esc_url( gc_nonce_url( add_query_arg( 'wc-hide-notice', 'legacy_shipping' ), 'woocommerce_hide_notices_nonce', '_wc_notice_nonce' ) ); ?>">
		<?php esc_html_e( '忽略', 'woocommerce' ); ?>
	</a>

	<p class="main">
		<strong><?php esc_html_e( '新的：', 'woocommerce' ); ?> <?php esc_html_e( '配送区域', 'woocommerce' ); ?></strong> &#8211; <?php esc_html_e( '一组地域可以指定不同的配送方式和运费。', 'woocommerce' ); ?>
	</p>
	<p>
		<?php esc_html_e( '我们建议使用传统的配送方式，这些包含 (一口价包裹，国际一口价包裹，本地配送与自取，免费配送) 虽然我们目前还支持这些功能。 <b><em> 但是它们将会在未来的 WooCommerce 版本中被移除</em></b>。我们建议您禁用上述功能以及尽快设置好新的根据区域划分的运单费率。', 'woocommerce' ); ?>
	</p>

	<p class="submit">
		<?php if ( empty( $_GET['page'] ) || empty( $_GET['tab'] ) || 'wc-settings' !== $_GET['page'] || 'shipping' !== $_GET['tab'] ) : ?>
			<a class="button-primary" href="<?php echo esc_url( admin_url( 'admin.php?page=wc-settings&tab=shipping' ) ); ?>">
				<?php esc_html_e( '设置配送区域', 'woocommerce' ); ?>
			</a>
		<?php endif; ?>
		<a class="button-secondary" href="https://docs.woocommerce.com/document/setting-up-shipping-zones/">
			<?php esc_html_e( '了解更多关于配送区域的信息', 'woocommerce' ); ?>
		</a>
	</p>
</div>
