<?php
/**
 * Admin View: Notice - Missing MaxMind license key
 *
 * @package WooCommerce\Admin
 */

defined( 'ABSPATH' ) || exit;

?>

<div id="message" class="updated woocommerce-message">
	<a class="woocommerce-message-close notice-dismiss" href="<?php echo esc_url( gc_nonce_url( add_query_arg( 'wc-hide-notice', 'maxmind_license_key' ), 'woocommerce_hide_notices_nonce', '_wc_notice_nonce' ) ); ?>"><?php esc_html_e( '忽略', 'woocommerce' ); ?></a>

	<p>
		<strong><?php esc_html_e( '尚未配置 Geolocation。', 'woocommerce' ); ?></strong>
	</p>

	<p>
		<?php
		echo gc_kses_post(
			sprintf(
				/* translators: %1%s: integration page %2$s: general settings page */
				__( '您必须在 <a href=\"%1$s\">MaxMind 集成设置页面</a>上输入有效的许可密钥，才能使用地理定位服务。如果您不需要根据地理位置来计算运费或税费，则应该在<a href=\"%2$s\">常规设置页面</a>上更改默认客户位置。', 'woocommerce' ),
				admin_url( 'admin.php?page=wc-settings&tab=integration&section=maxmind_geolocation' ),
				admin_url( 'admin.php?page=wc-settings&tab=general' )
			)
		);
		?>
	</p>
</div>
