<?php
/**
 * Admin View: Notice - No Shipping methods.
 *
 * @package WooCommerce\Admin\Notices
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<div id="message" class="updated woocommerce-message">
	<a class="woocommerce-message-close notice-dismiss" href="<?php echo esc_url( gc_nonce_url( add_query_arg( 'wc-hide-notice', 'no_shipping_methods' ), 'woocommerce_hide_notices_nonce', '_wc_notice_nonce' ) ); ?>">
		<?php esc_html_e( '忽略', 'woocommerce' ); ?>
	</a>

	<p class="main">
		<strong>
			<?php esc_html_e( '添加物流方式 &amp; 区域', 'woocommerce' ); ?>
		</strong>
	</p>
	<p>
		<?php esc_html_e( '物流已启用，但您尚未为物流区域添加任何物流方式。', 'woocommerce' ); ?>
	</p>
	<p>
		<?php esc_html_e( '在物流方式可用之前，客户将无法从您的商店购买实物商品。', 'woocommerce' ); ?>
	</p>

	<p class="submit">
		<a class="button-primary" href="<?php echo esc_url( admin_url( 'admin.php?page=wc-settings&tab=shipping' ) ); ?>">
			<?php esc_html_e( '设置配送区域', 'woocommerce' ); ?>
		</a>
		<a class="button-secondary" href="https://docs.woocommerce.com/document/setting-up-shipping-zones/">
			<?php esc_html_e( '了解更多关于配送区域的信息', 'woocommerce' ); ?>
		</a>
	</p>
</div>
