<?php
/**
 * Admin View: Notice - Redirect only download method is selected.
 *
 * @package WooCommerce\Admin\Notices
 */

defined( 'ABSPATH' ) || exit;

?>
<div class="updated woocommerce-message">
	<a class="woocommerce-message-close notice-dismiss" href="<?php echo esc_url( gc_nonce_url( add_query_arg( 'wc-hide-notice', 'redirect_download_method' ), 'woocommerce_hide_notices_nonce', '_wc_notice_nonce' ) ); ?>"><?php esc_html_e( '忽略', 'woocommerce' ); ?></a>
	<p>
		<?php
		echo gc_kses_post(
			sprintf(
				/* translators: %s: Link to settings page. */
				__( '您的商店已配置为通过“仅重定向”方法提供数字产品。 此方法已弃用，<a href=\"%s\">请改用其他方法。</a><br><em>如果您为可下载文件使用远程服务器（例如 Google Drive、Dropbox、Amazon S3），您可能希望“允许将重定向用作最后方案”。 如果启用该选项和/或选择任何其他选项，此通知就会消失。</em>', 'woocommerce' ),
				add_query_arg(
					array(
						'page'    => 'wc-settings',
						'tab'     => 'products',
						'section' => 'downloadable',
					),
					admin_url( 'admin.php' )
				)
			)
		);
		?>
	</p>
</div>
