<?php
/**
 * Admin View: Notice - Regenerating product lookup table.
 *
 * @package WooCommerce\Admin
 */

use Automattic\Jetpack\Constants;

defined( 'ABSPATH' ) || exit;

$pending_actions_url = admin_url( 'admin.php?page=wc-status&tab=action-scheduler&s=wc_update_product_lookup_tables&status=pending' );
$cron_disabled       = Constants::is_true( 'DISABLE_GC_CRON' );
$cron_cta            = $cron_disabled ? __( '您可以在此处手动运行队列中的更新。', 'woocommerce' ) : __( '查看进度 &rarr;', 'woocommerce' );
?>
<div id="message" class="updated woocommerce-message">
	<p>
		<strong><?php esc_html_e( 'WooCommerce 正在后台更新产品数据。', 'woocommerce' ); ?></strong><br>
		<?php
		esc_html_e( '在此更新完成之前，产品展示、分类和报告可能并不准确。此过程需要几分钟，而且完成后此通知会消失。', 'woocommerce' );

		if ( $cron_disabled ) {
			echo '<br>' . esc_html__( '注意：在您的安装过程中已禁用 GC CRON，这可能会阻止完成此更新。', 'woocommerce' );
		}
		?>
		&nbsp;<a href="<?php echo esc_url( $pending_actions_url ); ?>"><?php echo esc_html( $cron_cta ); ?></a>
	</p>
</div>
