<?php
/**
 * Admin View: Notice - Secure connection.
 *
 * @package WooCommerce\Admin\Notices
 */

defined( 'ABSPATH' ) || exit;

?>
<div id="message" class="updated woocommerce-message">
	<a class="woocommerce-message-close notice-dismiss" href="<?php echo esc_url( gc_nonce_url( add_query_arg( 'wc-hide-notice', 'no_secure_connection' ), 'woocommerce_hide_notices_nonce', '_wc_notice_nonce' ) ); ?>"><?php esc_html_e( '忽略', 'woocommerce' ); ?></a>

	<p>
	<?php
		echo gc_kses_post( sprintf(
			/* translators: %s: documentation URL */
			__( '您的商店似乎没有使用安全连接。我们强烈建议通过 HTTPS 连接为您的整个网站提供服务，以确保客户数据的安全。<a href=\"%s\">点击此处了解详情。</a>', 'woocommerce' ),
			'https://docs.woocommerce.com/document/ssl-and-https/'
		) );
	?>
	</p>
</div>
