<?php
/**
 * Admin View: Notice - Template Check
 *
 * @package WooCommerce\Views
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$theme = gc_get_theme();
?>
<div id="message" class="updated woocommerce-message">
	<a class="woocommerce-message-close notice-dismiss" href="<?php echo esc_url( gc_nonce_url( add_query_arg( 'wc-hide-notice', 'template_files' ), 'woocommerce_hide_notices_nonce', '_wc_notice_nonce' ) ); ?>"><?php esc_html_e( '忽略', 'woocommerce' ); ?></a>

	<p>
		<?php /* translators: %s: theme name */ ?>
		<?php printf( __( '<strong>您的主题 (%s) 包含某些 WooCommerce 模板文件的过时副本。</strong>这些文件可能需要更新，以确保与当前版本的 WooCommerce 兼容。解决此问题的建议如下：', 'woocommerce' ), esc_html( $theme['Name'] ) ); // phpcs:ignore GeChiUI.XSS.EscapeOutput.OutputNotEscaped ?>
		<ol>
			<li><?php esc_html_e( '将您的主题更新为最新版本。如果没有可用的更新，请联系您的主题作者，询问与当前 WooCommerce 版本的兼容性。', 'woocommerce' ); ?></li>
			<li><?php esc_html_e( '如果您先前复制了某个模板文件以更改某些内容，则需要复制新版本的模板并再次应用更改。', 'woocommerce' ); ?></li>
		</ol>
	</p>
	<p class="submit">
		<a class="button-primary" href="https://docs.woocommerce.com/document/template-structure/" target="_blank"><?php esc_html_e( '了解更多关于模板的知识', 'woocommerce' ); ?></a>
		<a class="button-primary" href="<?php echo esc_url( admin_url( 'admin.php?page=wc-status' ) ); ?>" target="_blank"><?php esc_html_e( '查看受影响的模板', 'woocommerce' ); ?></a>
	</p>
</div>
