<?php
/**
 * Admin View: Notice - Update
 *
 * @package WooCommerce\Admin
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$update_url = gc_nonce_url(
	add_query_arg( 'do_update_woocommerce', 'true', admin_url( 'admin.php?page=wc-settings' ) ),
	'wc_db_update',
	'wc_db_update_nonce'
);

?>
<div id="message" class="updated woocommerce-message wc-connect">
	<p>
		<strong><?php esc_html_e( '需要更新 WooCommerce 数据库', 'woocommerce' ); ?></strong>
	</p>
	<p>
		<?php
			esc_html_e( 'WooCommerce 已更新！为确保一切顺利进行，我们必须将您的数据库更新到最新版本。', 'woocommerce' );

			/* translators: 1: Link to docs 2: Close link. */
			printf( ' ' . esc_html__( '数据库更新过程在后台运行，可能需要一点时间，所以请耐心等待。高级用户还可以通过 %1$sGC CLI%2$s 更新。', 'woocommerce' ), '<a href="https://github.com/woocommerce/woocommerce/wiki/Upgrading-the-database-using-GC-CLI">', '</a>' );
		?>
	</p>
	<p class="submit">
		<a href="<?php echo esc_url( $update_url ); ?>" class="wc-update-now button-primary">
			<?php esc_html_e( '更新 WooCommerce 数据库', 'woocommerce' ); ?>
		</a>
		<a href="https://docs.woocommerce.com/document/how-to-update-woocommerce/" class="button-secondary">
			<?php esc_html_e( '详细了解更新', 'woocommerce' ); ?>
		</a>
	</p>
</div>
