<?php
/**
 * Admin View: Notice - Updating
 *
 * @package WooCommerce\Admin
 */

use Automattic\Jetpack\Constants;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$pending_actions_url = admin_url( 'admin.php?page=wc-status&tab=action-scheduler&s=woocommerce_run_update&status=pending' );
$cron_disabled       = Constants::is_true( 'DISABLE_GC_CRON' );
$cron_cta            = $cron_disabled ? __( '您可以在此处手动运行队列中的更新。', 'woocommerce' ) : __( '查看进度 &rarr;', 'woocommerce' );
?>
<div id="message" class="updated woocommerce-message wc-connect">
	<p>
		<strong><?php esc_html_e( 'WooCommerce 数据更新', 'woocommerce' ); ?></strong><br>
		<?php esc_html_e( 'WooCommerce 正在后台更新数据库。数据库更新过程可能需要一点时间，所以请耐心等待。', 'woocommerce' ); ?>
		<?php
		if ( $cron_disabled ) {
			echo '<br>' . esc_html__( '注意：在您的安装过程中已禁用 GC CRON，这可能会阻止完成此更新。', 'woocommerce' );
		}
		?>
		&nbsp;<a href="<?php echo esc_url( $pending_actions_url ); ?>"><?php echo esc_html( $cron_cta ); ?></a>
	</p>
</div>
