<?php
/**
 * REST API Reports controller
 *
 * Handles requests to the reports endpoint.
 *
 * @package WooCommerce\RestApi
 * @since   2.6.0
 */

defined( 'ABSPATH' ) || exit;

/**
 * REST API Reports controller class.
 *
 * @package WooCommerce\RestApi
 * @extends WC_REST_Reports_V2_Controller
 */
class WC_REST_Reports_Controller extends WC_REST_Reports_V2_Controller {

	/**
	 * Endpoint namespace.
	 *
	 * @var string
	 */
	protected $namespace = 'wc/v3';

	/**
	 * Get reports list.
	 *
	 * @since 3.5.0
	 * @return array
	 */
	protected function get_reports() {
		$reports = parent::get_reports();

		$reports[] = array(
			'slug'        => 'orders/totals',
			'description' => __( '订单总数。', 'woocommerce' ),
		);
		$reports[] = array(
			'slug'        => 'products/totals',
			'description' => __( '产品总数。', 'woocommerce' ),
		);
		$reports[] = array(
			'slug'        => 'customers/totals',
			'description' => __( '客户总数。', 'woocommerce' ),
		);
		$reports[] = array(
			'slug'        => 'coupons/totals',
			'description' => __( '优惠券总数。', 'woocommerce' ),
		);
		$reports[] = array(
			'slug'        => 'reviews/totals',
			'description' => __( '评价总数。', 'woocommerce' ),
		);
		$reports[] = array(
			'slug'        => 'categories/totals',
			'description' => __( '分类总数。', 'woocommerce' ),
		);
		$reports[] = array(
			'slug'        => 'tags/totals',
			'description' => __( '标签总数。', 'woocommerce' ),
		);
		$reports[] = array(
			'slug'        => 'attributes/totals',
			'description' => __( '属性总数。', 'woocommerce' ),
		);

		return $reports;
	}
}
