<?php

/**
 * Class ActionScheduler_gcPostStore_PostTypeRegistrar
 * @codeCoverageIgnore
 */
class ActionScheduler_gcPostStore_PostTypeRegistrar {
	public function register() {
		register_post_type( ActionScheduler_gcPostStore::POST_TYPE, $this->post_type_args() );
	}

	/**
	 * Build the args array for the post type definition
	 *
	 * @return array
	 */
	protected function post_type_args() {
		$args = array(
			'label' => __( '计划动作', 'woocommerce' ),
			'description' => __( '计划操作是在特定日期和时间触发的钩子。', 'woocommerce' ),
			'public' => false,
			'map_meta_cap' => true,
			'hierarchical' => false,
			'supports' => array('title', 'editor','comments'),
			'rewrite' => false,
			'query_var' => false,
			'can_export' => true,
			'ep_mask' => EP_NONE,
			'labels' => array(
				'name' => __( '计划动作', 'woocommerce' ),
				'singular_name' => __( '计划动作', 'woocommerce' ),
				'menu_name' => _x( '计划动作', 'Admin menu name', 'woocommerce' ),
				'add_new' => __( '添加', 'woocommerce' ),
				'add_new_item' => __( '添加新的计划动作', 'woocommerce' ),
				'edit' => __( '编辑', 'woocommerce' ),
				'edit_item' => __( '编辑计划动作', 'woocommerce' ),
				'new_item' => __( '新的计划动作', 'woocommerce' ),
				'view' => __( '查看动作', 'woocommerce' ),
				'view_item' => __( '查看动作', 'woocommerce' ),
				'search_items' => __( '搜索计划动作', 'woocommerce' ),
				'not_found' => __( '没有找到动作', 'woocommerce' ),
				'not_found_in_trash' => __( '回收站中没有动作', 'woocommerce' ),
			),
		);

		$args = apply_filters('action_scheduler_post_type_args', $args);
		return $args;
	}
}
 