/**
 * External dependencies
 */
import { __ } from '@gechiui/i18n';
import { Disabled } from '@gechiui/components';
import { useBlockProps } from '@gechiui/block-editor';

/**
 * Internal dependencies
 */
import Block from './block';
import withProductSelector from '../shared/with-product-selector';
import { BLOCK_TITLE, BLOCK_ICON } from './constants';

const Edit = ( { attributes } ) => {
	const blockProps = useBlockProps();
	return (
		<div { ...blockProps }>
			<Disabled>
				<Block { ...attributes } />
			</Disabled>
		</div>
	);
};

export default withProductSelector( {
	icon: BLOCK_ICON,
	label: BLOCK_TITLE,
	description: __(
		'选择一个产品以显示其“加入购物车”按钮。',
		'woocommerce'
	),
} )( Edit );
