/**
 * External dependencies
 */
import { __ } from '@gechiui/i18n';
import EditProductLink from '@woocommerce/editor-components/edit-product-link';
import { useBlockProps } from '@gechiui/block-editor';

/**
 * Internal dependencies
 */
import Block from './block';
import withProductSelector from '../shared/with-product-selector';
import { BLOCK_TITLE, BLOCK_ICON } from './constants';

const Edit = ( { attributes } ) => {
	const blockProps = useBlockProps();
	return (
		<div { ...blockProps }>
			<EditProductLink />
			<Block { ...attributes } />
		</div>
	);
};

export default withProductSelector( {
	icon: BLOCK_ICON,
	label: BLOCK_TITLE,
	description: __(
		'选择一个产品以显示其库存。',
		'woocommerce'
	),
} )( Edit );
