/**
 * External dependencies
 */
import { __ } from '@gechiui/i18n';
import { SHOP_URL } from '@woocommerce/block-settings';
import { cart } from '@woocommerce/icons';
import { Icon } from '@gechiui/icons';

/**
 * Internal dependencies
 */
import './style.scss';

const EmptyCart = () => {
	return (
		<div className="wc-block-checkout-empty">
			<Icon
				className="wc-block-checkout-empty__image"
				icon={ cart }
				size={ 100 }
			/>
			<strong className="wc-block-checkout-empty__title">
				{ __( '您的购物车是空的！', 'woocommerce' ) }
			</strong>
			<p className="wc-block-checkout-empty__description">
				{ __(
					"当您的购物车为空时，结账不可用 - 请浏览我们的商店，在您准备好下单时返回。",
					'woocommerce'
				) }
			</p>
			{ SHOP_URL && (
				<span className="gc-block-button">
					<a href={ SHOP_URL } className="gc-block-button__link">
						{ __( '浏览商店', 'woocommerce' ) }
					</a>
				</span>
			) }
		</div>
	);
};

export default EmptyCart;
