/**
 * External dependencies
 */
import { __, sprintf } from '@gechiui/i18n';
import { PRIVACY_URL, TERMS_URL } from '@woocommerce/block-settings';

const termsPageLink = TERMS_URL
	? `<a href="${ TERMS_URL }">${ __(
			'条款和条件',
			'woocommerce'
	  ) }</a>`
	: __( '条款和条件', 'woocommerce' );

const privacyPageLink = PRIVACY_URL
	? `<a href="${ PRIVACY_URL }">${ __(
			'隐私政策',
			'woocommerce'
	  ) }</a>`
	: __( '隐私政策', 'woocommerce' );

export const termsConsentDefaultText = sprintf(
	/* translators: %1$s terms page link, %2$s privacy page link. */
	__(
		'继续购买即表示，您同意我们的 %1$s 和 %2$s',
		'woocommerce'
	),
	termsPageLink,
	privacyPageLink
);

export const termsCheckboxDefaultText = sprintf(
	/* translators: %1$s terms page link, %2$s privacy page link. */
	__(
		'您必须接受我们的 %1$s 和 %2$s，才能继续购买。',
		'woocommerce'
	),
	termsPageLink,
	privacyPageLink
);
