/**
 * External dependencies
 */
import { __ } from '@gechiui/i18n';
import { Button, Placeholder } from '@gechiui/components';
import { ADMIN_URL } from '@woocommerce/settings';
import { Icon, external } from '@gechiui/icons';

export const renderNoProductsPlaceholder = ( blockTitle, blockIcon ) => (
	<Placeholder
		className="wc-block-products"
		icon={ blockIcon }
		label={ blockTitle }
	>
		<p>
			{ __(
				"您尚未发布任何可在此处列出的产品。",
				'woocommerce'
			) }
		</p>
		<Button
			className="wc-block-products__add-product-button"
			isSecondary
			href={ ADMIN_URL + 'post-new.php?post_type=product' }
		>
			{ __( '添加新产品', 'woocommerce' ) + ' ' }
			<Icon icon={ external } />
		</Button>
		<Button
			className="wc-block-products__read_more_button"
			isTertiary
			href="https://docs.woocommerce.com/document/managing-products/"
		>
			{ __( '了解更多', 'woocommerce' ) }
		</Button>
	</Placeholder>
);

export const renderHiddenContentPlaceholder = ( blockTitle, blockIcon ) => (
	<Placeholder
		className="wc-block-products"
		icon={ blockIcon }
		label={ blockTitle }
	>
		{ __(
			'由于区块设置，此区块的内容已隐藏。',
			'woocommerce'
		) }
	</Placeholder>
);
