/**
 * External dependencies
 */
import { __ } from '@gechiui/i18n';
import { ToggleControl, SelectControl } from '@gechiui/components';

export const getSharedContentControls = ( attributes, setAttributes ) => {
	const { contentVisibility } = attributes;
	return (
		<ToggleControl
			label={ __(
				'显示排序下拉菜单',
				'woocommerce'
			) }
			checked={ contentVisibility.orderBy }
			onChange={ () =>
				setAttributes( {
					contentVisibility: {
						...contentVisibility,
						orderBy: ! contentVisibility.orderBy,
					},
				} )
			}
		/>
	);
};

export const getSharedListControls = ( attributes, setAttributes ) => {
	return (
		<SelectControl
			label={ __( '产品排序依据', 'woocommerce' ) }
			value={ attributes.orderby }
			options={ [
				{
					label: __(
						'默认排序（菜单顺序）',
						'woocommerce'
					),
					value: 'menu_order',
				},
				{
					label: __( '热门程度', 'woocommerce' ),
					value: 'popularity',
				},
				{
					label: __(
						'平均评级',
						'woocommerce'
					),
					value: 'rating',
				},
				{
					label: __( '最新', 'woocommerce' ),
					value: 'date',
				},
				{
					label: __(
						'价格：从低到高',
						'woocommerce'
					),
					value: 'price',
				},
				{
					label: __(
						'价格：从高到低',
						'woocommerce'
					),
					value: 'price-desc',
				},
			] }
			onChange={ ( orderby ) => setAttributes( { orderby } ) }
		/>
	);
};
