/**
 * External dependencies
 */
import { __ } from '@gechiui/i18n';
import { Placeholder } from '@gechiui/components';
import { Icon, postComments } from '@gechiui/icons';

const NoCategoryReviewsPlaceholder = () => {
	return (
		<Placeholder
			className="wc-block-all-reviews"
			icon={
				<Icon
					icon={ postComments }
					className="block-editor-block-icon"
				/>
			}
			label={ __( '所有评价', 'woocommerce' ) }
		>
			{ __(
				'此区块显示所有产品评价的列表。您的商店还没有任何评价，不过当有评价时，它们会在此处显示。',
				'woocommerce'
			) }
		</Placeholder>
	);
};

export default NoCategoryReviewsPlaceholder;
