/**
 * External dependencies
 */
import { __ } from '@gechiui/i18n';
import { BlockControls } from '@gechiui/block-editor';
import { ToolbarGroup } from '@gechiui/components';

/**
 * Adds controls to the editor toolbar.
 *
 * @param {Object}                props              Incoming props for the component.
 * @param {boolean}               props.isEditing
 * @param {function(boolean):any} props.setIsEditing
 */
const EditorBlockControls = ( { isEditing, setIsEditing } ) => {
	return (
		<BlockControls>
			<ToolbarGroup
				controls={ [
					{
						icon: 'edit',
						title: __(
							'编辑所选产品',
							'woocommerce'
						),
						onClick: () => setIsEditing( ! isEditing ),
						isActive: isEditing,
					},
				] }
			/>
		</BlockControls>
	);
};

export default EditorBlockControls;
