<?php
/**
 * Photoswipe markup
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/photoswipe.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
?>

<div class="psgc" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="psgc__bg"></div>
	<div class="psgc__scroll-wrap">
		<div class="psgc__container">
			<div class="psgc__item"></div>
			<div class="psgc__item"></div>
			<div class="psgc__item"></div>
		</div>
		<div class="psgc__ui psgc__ui--hidden">
			<div class="psgc__top-bar">
				<div class="psgc__counter"></div>
				<button class="psgc__button psgc__button--close" aria-label="<?php esc_attr_e( '关闭(Esc)', 'woocommerce' ); ?>"></button>
				<button class="psgc__button psgc__button--share" aria-label="<?php esc_attr_e( '分享', 'woocommerce' ); ?>"></button>
				<button class="psgc__button psgc__button--fs" aria-label="<?php esc_attr_e( '切换全屏模式', 'woocommerce' ); ?>"></button>
				<button class="psgc__button psgc__button--zoom" aria-label="<?php esc_attr_e( '缩放', 'woocommerce' ); ?>"></button>
				<div class="psgc__preloader">
					<div class="psgc__preloader__icn">
						<div class="psgc__preloader__cut">
							<div class="psgc__preloader__donut"></div>
						</div>
					</div>
				</div>
			</div>
			<div class="psgc__share-modal psgc__share-modal--hidden psgc__single-tap">
				<div class="psgc__share-tooltip"></div>
			</div>
			<button class="psgc__button psgc__button--arrow--left" aria-label="<?php esc_attr_e( '前一个 (向左的箭头)', 'woocommerce' ); ?>"></button>
			<button class="psgc__button psgc__button--arrow--right" aria-label="<?php esc_attr_e( '后一个 (向右的箭头)', 'woocommerce' ); ?>"></button>
			<div class="psgc__caption">
				<div class="psgc__caption__center"></div>
			</div>
		</div>
	</div>
</div>
